<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_forum = core::load_lng('forum');
$user = functions::get_user($user);
if (isset($_SESSION['ref']))
    unset($_SESSION['ref']);

/*
-----------------------------------------------------------------
Tùy chọn diễn đàn
-----------------------------------------------------------------
*/
$set_forum = $user_id && !empty($datauser['set_forum']) ? unserialize($datauser['set_forum']) : array(
    'farea' => 0,
    'upfp' => 0,
    'preview' => 1,
    'postclip' => 1,
    'postcut' => 2
);

/*
-----------------------------------------------------------------
Danh sách các phần mở rộng tập tin được phép sẽ được bốc dỡ
-----------------------------------------------------------------
*/
// Lưu trữ file
$ext_arch = array(
    'zip',
    'rar',
    '7z',
    'tar',
    'gz'
);
// file âm thanh
$ext_audio = array(
    'mp3',
    'amr'
);
// Hồ sơ tài liệu và các văn bản
$ext_doc = array(
    'txt',
    'pdf',
    'doc',
    'rtf',
    'djvu',
    'xls'
);
// Java tập tin
$ext_java = array(
    'jar',
    'jad'
);
// Tập tin hình ảnh
$ext_pic = array(
    'jpg',
    'jpeg',
    'gif',
    'png',
    'bmp'
);
// SIS file
$ext_sis = array(
    'sis',
    'sisx'
);
// Video Files
$ext_video = array(
    '3gp',
    'avi',
    'flv',
    'mpeg',
    'mp4'
);
// Tập tin trong Windows
$ext_win = array(
    'exe',
    'msi'
);
// Các loại tập tin khác (không được liệt kê ở trên)
$ext_other = array('wmf');

/*
-----------------------------------------------------------------
Hạn chế truy cập Diễn đàn
-----------------------------------------------------------------
*/
$error = '';
if (!$set['mod_forum'] && $rights < 7)
    $error = $lng_forum['forum_closed'];
elseif ($set['mod_forum'] == 1 && !$user_id)
    $error = $lng['access_guest_forbidden'];
if ($error) {
    require('../incfiles/head.php');
    echo '<div class="rmenu"><p>' . $error . '</p></div>';
    require('../incfiles/end.php');
    exit;
}

$headmod = $id ? 'forum,' . $id : 'forum';

/*
-----------------------------------------------------------------
Trang tiêu đề Diễn đàn
-----------------------------------------------------------------
*/
if (empty($id)) {
    $textl = '' . $lng['forum'] . '';
} else {
    $trangvip = mysql_query("SELECT * FROM `forum` WHERE `id`= '$id'");  // Khoi tao goi tags bai viet
    $trangvip1 = mysql_fetch_assoc($trangvip);  // Xu ly
    $req = mysql_query("SELECT `text` FROM `forum` WHERE `id`= '" . $id . "'");
    $res = mysql_fetch_assoc($req);
    $hdr = strtr($res['text'], array(
        '&quot;' => '',
        '&amp;' => '',
        '&lt;' => '',
        '&gt;' => '',
        '&#039;' => ''
    ));
    $hdr = mb_substr($hdr, 0, 30);
    $hdr = functions::checkout($hdr);
    $hdr = html_entity_decode($hdr,ENT_QUOTES,'UTF-8');
    $textl = ''.bbcode::notags($res['text']).'...'.$trangvip1['tags'].'';
}

/*
-----------------------------------------------------------------
Chuyển đổi
-----------------------------------------------------------------
*/
$mods = array(
    'addfile',
    'addvote',
    'auto',
    'close',
    'deltema',
    'delvote',
    'editpost',
    'editvote',
    'face',
    'file',
    'files',
    'filter',
    'loadtem',
    'massdel',
    'moders',
    'new',
    'nt',
    'per',
    'post',
    'ren',
    'restore',
    'say',
    'tema',
    'users',
    'vip',
    'vote',
    'who',
    'curators',
    'tag'
);
if ($act && ($key = array_search($act, $mods)) !== false && file_exists('includes/' . $mods[$key] . '.php')) {
    require('includes/' . $mods[$key] . '.php');
} else {
    require('../incfiles/head.php');

    /*
    -----------------------------------------------------------------
    Nếu diễn đàn được đóng lại, chúng tôi lấy được một lời nhắc nhở cho quản trị
    -----------------------------------------------------------------
    */
    if (!$set['mod_forum']) echo '<div class="alarm">' . $lng_forum['forum_closed'] . '</div>';
    elseif ($set['mod_forum'] == 3) echo '<div class="rmenu">' . $lng['read_only'] . '</div>';
    if (!$user_id) {
        if (isset($_GET['newup']))
            $_SESSION['uppost'] = 1;
        if (isset($_GET['newdown']))
            $_SESSION['uppost'] = 0;
    }
    if ($id) {
        /*
        -----------------------------------------------------------------
        Xác định loại yêu cầu (cửa hàng, hoặc chủ đề)
        -----------------------------------------------------------------
        */
        $type = mysql_query("SELECT * FROM `forum` WHERE `id`= '$id'");
        if (!mysql_num_rows($type)) {
            // Nếu chủ đề không tồn tại, chúng tôi cho thấy các lỗi
            echo functions::display_error($lng_forum['error_topic_deleted'], '<a href="index.php">' . $lng['to_forum'] . '</a>');
            require('../incfiles/end.php');
            exit;
        }

        $type1 = mysql_fetch_assoc($type);

        /*
        -----------------------------------------------------------------
        Định hình thực tế đọc Topeka
        -----------------------------------------------------------------
        */
        if ($user_id && $type1['type'] == 't') {
            $req_r = mysql_query("SELECT * FROM `cms_forum_rdm` WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
            if (mysql_num_rows($req_r)) {
                $res_r = mysql_fetch_assoc($req_r);
                if ($type1['time'] > $res_r['time'])
                    mysql_query("UPDATE `cms_forum_rdm` SET `time` = '" . time() . "' WHERE `topic_id` = '$id' AND `user_id` = '$user_id' LIMIT 1");
            } else {
                mysql_query("INSERT INTO `cms_forum_rdm` SET `topic_id` = '$id', `user_id` = '$user_id', `time` = '" . time() . "'");
            }
        }

        /*
        -----------------------------------------------------------------
        Chúng tôi có được cấu trúc của diễn đàn
        -----------------------------------------------------------------
        */
        $res = true;
        $parent = $type1['refid'];
        while ($parent != '0' && $res != false) {
            $req = mysql_query("SELECT * FROM `forum` WHERE `id` = '$parent' LIMIT 1");
            $res = mysql_fetch_assoc($req);
            if ($res['type'] == 'f' || $res['type'] == 'r')
                $tree[] = '<a href="'.$home.'/forum/' . functions::nhanhnao($res['text']) . '_' . $parent . '.html">' . $res['text'] . '</a>';
            $parent = $res['refid'];
        }
        $tree[] = '<a href="index.php">' . $lng['forum'] . '</a>';
        krsort($tree);
        if ($type1['type'] != 't' && $type1['type'] != 'm')
            $tree[] = '<b>' . $type1['text'] . '</b>';

        /*
        -----------------------------------------------------------------
        &#1057;&#1095;&#1077;&#1090;&#1095;&#1080;&#1082; &#1092;&#1072;&#1081;&#1083;&#1086;&#1074; &#1080; &#1089;&#1089;&#1099;&#1083;&#1082;&#1072; &#1085;&#1072; &#1085;&#1080;&#1093;
        -----------------------------------------------------------------
        */
        $sql = ($rights == 9) ? "" : " AND `del` != '1'";
        if ($type1['type'] == 'f') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `cat` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;c=' . $id . '">' . $lng_forum['files_category'] . '</a>';
        } elseif ($type1['type'] == 'r') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `subcat` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;s=' . $id . '">' . $lng_forum['files_section'] . '</a>';
        } elseif ($type1['type'] == 't') {
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files` WHERE `topic` = '$id'" . $sql), 0);
            if ($count > 0)
                $filelink = '<a href="index.php?act=files&amp;t=' . $id . '">' . $lng_forum['files_topic'] . '</a>';
        }
        $filelink = isset($filelink) ? $filelink . '&#160;<span class="red">(' . $count . ')</span>' : false;

        /*
        -----------------------------------------------------------------
        &#1057;&#1095;&#1077;&#1090;&#1095;&#1080;&#1082; "&#1050;&#1090;&#1086; &#1074; &#1090;&#1077;&#1084;&#1077;?"
        -----------------------------------------------------------------
        */
        $wholink = false;
        if ($user_id && $type1['type'] == 't') {
            $online_u = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
            $online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
            $wholink = '<a href="index.php?act=who&amp;id=' . $id . '">' . $lng_forum['who_here'] . '?</a>&#160;<span class="red">(' . $online_u . '&#160;/&#160;' . $online_g . ')</span><br/>';
        }

        /*
        -----------------------------------------------------------------
        &#1042;&#1099;&#1074;&#1086;&#1076;&#1080;&#1084; &#1074;&#1077;&#1088;&#1093;&#1085;&#1102;&#1102; &#1087;&#1072;&#1085;&#1077;&#1083;&#1100; &#1085;&#1072;&#1074;&#1080;&#1075;&#1072;&#1094;&#1080;&#1080;
        -----------------------------------------------------------------
        */
        echo '<p>' . counters::forum_new(1) . '</p>' .
             '<div class="mainblok"><div class="phdr">' . functions::display_menu($tree) . '</div>' .
             '<div class="topmenu"><a href="search.php?id=' . $id . '">' . $lng['search'] . '</a>' . ($filelink ? ' | ' . $filelink : '') . ($wholink ? ' | ' . $wholink : '') . '</div></div>';
        /*
        -----------------------------------------------------------------
        &#1054;&#1090;&#1088;&#1073;&#1088;&#1072;&#1078;&#1072;&#1077;&#1084; &#1089;&#1086;&#1076;&#1077;&#1088;&#1078;&#1080;&#1084;&#1086;&#1077; &#1092;&#1086;&#1088;&#1091;&#1084;&#1072;
        -----------------------------------------------------------------
        */
        switch ($type1['type']) {
            case 'f':
                /*
                -----------------------------------------------------------------
                &#1057;&#1087;&#1080;&#1089;&#1086;&#1082; &#1088;&#1072;&#1079;&#1076;&#1077;&#1083;&#1086;&#1074; &#1092;&#1086;&#1088;&#1091;&#1084;&#1072;
                -----------------------------------------------------------------
                */
                $req = mysql_query("SELECT `id`, `text`, `soft` FROM `forum` WHERE `type`='r' AND `refid`='$id' ORDER BY `realid`");
                $total = mysql_num_rows($req);
                if ($total) {
                    $i = 0;
                    while (($res = mysql_fetch_assoc($req)) !== false) {
                        echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
                        $coltem = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type` = 't' AND `refid` = '" . $res['id'] . "'"), 0);
                        echo '<a href="'.$home.'/forum/' . functions::nhanhnao($res['text']) . '_'.$res['id'].'.html">' . $res['text'] . '</a>';
                        if ($coltem)
                            echo " [$coltem]";
                        if (!empty($res['soft']))
                            echo '<div class="sub"><span class="gray">' . $res['soft'] . '</span></div>';
                        echo '</div>';
                        ++$i;
                    }
                    unset($_SESSION['fsort_id']);
                    unset($_SESSION['fsort_users']);
                } else {
                    echo '<div class="menu"><p>' . $lng_forum['section_list_empty'] . '</p></div>';
                }
                echo '<div class="mainblok"><div class="phdr">' . $lng['total'] . ': ' . $total . '</div></div>';
                break;

            case 'r':
                /*
                -----------------------------------------------------------------
                &#1057;&#1087;&#1080;&#1089;&#1086;&#1082; &#1090;&#1086;&#1087;&#1080;&#1082;&#1086;&#1074;
                -----------------------------------------------------------------
                */
                $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='t' AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close`!='1'")), 0);
                if (($user_id && !isset($ban['1']) && !isset($ban['11']) && $set['mod_forum'] != 3) || core::$user_rights) {
                    // &#1050;&#1085;&#1086;&#1087;&#1082;&#1072; &#1089;&#1086;&#1079;&#1076;&#1072;&#1085;&#1080;&#1103; &#1085;&#1086;&#1074;&#1086;&#1081; &#1090;&#1077;&#1084;&#1099;
                    echo '<div class="gmenu"><form action="index.php?act=nt&amp;id=' . $id . '" method="post"><input type="submit" value="' . $lng_forum['new_topic'] . '" /></form></div>';
                }
                if ($total) {
                    $req = mysql_query("SELECT * FROM `forum` WHERE `type`='t'" . ($rights >= 7 ? '' : " AND `close`!='1'") . " AND `refid`='$id' ORDER BY `vip` DESC, `time` DESC LIMIT $start, $kmess");
                    $i = 0;
                    while (($res = mysql_fetch_assoc($req)) !== false) {
                        if ($res['close'])
                            echo '<div class="rmenu">';
                        else
                            echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
                        $nikuser = mysql_query("SELECT `from` FROM `forum` WHERE `type` = 'm' AND `close` != '1' AND `refid` = '" . $res['id'] . "' ORDER BY `vip` DESC LIMIT 1");
                        $nam = mysql_fetch_assoc($nikuser);
                        $colmes = mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m' AND `refid`='" . $res['id'] . "'" . ($rights >= 7 ? '' : " AND `close` != '1'"));
                        $colmes1 = mysql_result($colmes, 0);
                        $cpg = ceil($colmes1 / $kmess);
                        $np = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_rdm` WHERE `time` >= '" . $res['time'] . "' AND `topic_id` = '" . $res['id'] . "' AND `user_id`='$user_id'"), 0);
                        // &#1047;&#1085;&#1072;&#1095;&#1082;&#1080;
                        $icons = array(
                            ($np ? (!$res['vip'] ? '<img src="../theme/' . $set_user['skin'] . '/images/op.gif" alt=""/>' : '') : '<img src="../theme/' . $set_user['skin'] . '/images/np.gif" alt=""/>'),
                            ($res['vip'] ? '<img src="../theme/' . $set_user['skin'] . '/images/pt.gif" alt=""/>' : ''),
                            ($res['realid'] ? '<img src="../theme/' . $set_user['skin'] . '/images/rate.gif" alt=""/>' : ''),
                            ($res['edit'] ? '<img src="../theme/' . $set_user['skin'] . '/images/tz.gif" alt=""/>' : '')
                        );
                        echo functions::display_menu($icons, '&#160;', '&#160;');
                        echo '<a href="'.$home.'/forum/' . functions::nhanhnao($res['text']) . '_' . $res['id'] . '.html">' . bbcode::tags($res['text']) . '</a> [' . $colmes1 . ']';
                        if ($cpg > 1) {
                            echo '<a href="'.$home.'/forum/' . functions::nhanhnao($res['text']) . '_' . $res['id'] . '_p' . $cpg . '.html">&#160;&gt;&gt;</a>';
                        }
                        echo '<div class="sub">';
                        echo $res['from'];
                        if (!empty($nam['from'])) {
                            echo '&#160;/&#160;' . $nam['from'];
                        }
                        echo ' <span class="gray">(' . functions::display_date($res['time']) . ')</span></div></div>';
                        ++$i;
                    }
                    unset($_SESSION['fsort_id']);
                    unset($_SESSION['fsort_users']);
                } else {
                    echo '<div class="menu"><p>' . $lng_forum['topic_list_empty'] . '</p></div>';
                }
                echo '<div class="mainblok"><div class="phdr">' . $lng['total'] . ': ' . $total . '</div></div>';
                if ($total > $kmess) {
                    echo '<div class="topmenu">' . functions::display_pagination('index.php?id=' . $id . '&amp;', $start, $total, $kmess) . '</div>' .
                         '<p><form action="index.php?id=' . $id . '" method="post">' .
                         '<input type="text" name="page" size="2"/>' .
                         '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
                         '</form></p>';
                }
                break;

            case 't':
                /*
                -----------------------------------------------------------------
                &#1063;&#1080;&#1090;&#1072;&#1077;&#1084; &#1090;&#1086;&#1087;&#1080;&#1082;
                -----------------------------------------------------------------
                */
                $filter = isset($_SESSION['fsort_id']) && $_SESSION['fsort_id'] == $id ? 1 : 0;
                $sql = '';
                if ($filter && !empty($_SESSION['fsort_users'])) {
                    // &#1055;&#1086;&#1076;&#1075;&#1086;&#1090;&#1072;&#1074;&#1083;&#1080;&#1074;&#1072;&#1077;&#1084; &#1079;&#1072;&#1087;&#1088;&#1086;&#1089; &#1085;&#1072; &#1092;&#1080;&#1083;&#1100;&#1090;&#1088;&#1072;&#1094;&#1080;&#1102; &#1102;&#1079;&#1077;&#1088;&#1086;&#1074;
                    $sw = 0;
                    $sql = ' AND (';
                    $fsort_users = unserialize($_SESSION['fsort_users']);
                    foreach ($fsort_users as $val) {
                        if ($sw)
                            $sql .= ' OR ';
                        $sortid = intval($val);
                        $sql .= "`forum`.`user_id` = '$sortid'";
                        $sw = 1;
                    }
                    $sql .= ')';
                }
                if ($user_id && !$filter) {
                    // &#1060;&#1080;&#1082;&#1089;&#1072;&#1094;&#1080;&#1103; &#1092;&#1072;&#1082;&#1090;&#1072; &#1087;&#1088;&#1086;&#1095;&#1090;&#1077;&#1085;&#1080;&#1103; &#1090;&#1086;&#1087;&#1080;&#1082;&#1072;
                }
                if ($rights < 7 && $type1['close'] == 1) {
                    echo '<div class="rmenu"><p>' . $lng_forum['topic_deleted'] . '<br/><a href="?id=' . $type1['refid'] . '">' . $lng_forum['to_section'] . '</a></p></div>';
                    require('../incfiles/end.php');
                    exit;
                }
                 // Mod Thanks JohnCMS 4.4 tai day nha
$checkthankdau = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $_GET['thanks'] . '" and `user` = "' . $_GET['user'] . '"');
                if ($user_id && $user_id != $_GET['user'] && (mysql_result($checkthankdau, 0) < 1)) {
                if ((isset ($_GET['thank']))&&(isset ($_GET['user']))&&(isset ($_GET['thanks']))) {
            	
                	
                	echo '<div class="menu" id="thanksyou"><b>B&#7841;n &#273;� c&#7843;m &#417;n b�i vi&#7871;t &#273;� r&#7891;i &#273;&#7845;y. Quay l&#7841;i h&#7887;i xem b&#7841;n &#7845;y c� vui kh�ng nh�!</b></div>';
                	            mysql_query("INSERT INTO `forum_thank` SET
			`user` = '".trim($_GET['user'])."',
			`topic` = '".trim($_GET['thanks'])."' ,
			`time` = '$realtime',
			`userthank` = '$user_id',
			`chude` = '".$_GET["id"]."'
								");
			$congcamon=mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = "' . trim($_GET['user']) . '"'));
            mysql_query("UPDATE `users` SET `thank_duoc`='" . ($congcamon['thank_duoc'] + 1) . "' WHERE `id` = '" . trim($_GET['user']) . "'");
            mysql_query("UPDATE `users` SET `thank_di`='" . ($datauser['thank_di'] + 1) . "' WHERE `id` = '" . $user_id . "'");
						
   } 						}
                // Ket thuc
                // &#1057;&#1095;&#1077;&#1090;&#1095;&#1080;&#1082; &#1087;&#1086;&#1089;&#1090;&#1086;&#1074; &#1090;&#1077;&#1084;&#1099;
                $colmes = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='m'$sql AND `refid`='$id'" . ($rights >= 7 ? '' : " AND `close` != '1'")), 0);
                if ($start > $colmes) $start = $colmes - $kmess;
                // &#1042;&#1099;&#1074;&#1086;&#1076;&#1080;&#1084; &#1085;&#1072;&#1079;&#1074;&#1072;&#1085;&#1080;&#1077; &#1090;&#1086;&#1087;&#1080;&#1082;&#1072;
                echo '<div class="mainblok"><div class="phdr"><a name="up" id="up"></a><a href="#down"><img src="../theme/' . $set_user['skin'] . '/images/down.png" alt="&#1042;&#1085;&#1080;&#1079;" width="20" height="10" border="0"/></a>L&#432;&#7907;t xem: '.$type1['view'].' | &#160;&#160;<b>' . bbcode::tags($type1['text']) . '</b></div>';
                if ($colmes > $kmess)
                    echo '<div class="topmenu">' . functions::display_pagination2(''.$home.'/forum/'.functions::nhanhnao($type1["text"]).'_' . $id, $start, $colmes, $kmess) . '</div></div>';
                    else
                    echo '</div>';
                // &#1052;&#1077;&#1090;&#1082;&#1080; &#1091;&#1076;&#1072;&#1083;&#1077;&#1085;&#1080;&#1103; &#1090;&#1077;&#1084;&#1099;
                if ($type1['close'])
                    echo '<div class="rmenu">' . $lng_forum['topic_delete_who'] . ': <b>' . $type1['close_who'] . '</b></div>';
                elseif (!empty($type1['close_who']) && $rights >= 7)
                    echo '<div class="gmenu"><small>' . $lng_forum['topic_delete_whocancel'] . ': <b>' . $type1['close_who'] . '</b></small></div>';
                // &#1052;&#1077;&#1090;&#1082;&#1080; &#1079;&#1072;&#1082;&#1088;&#1099;&#1090;&#1080;&#1103; &#1090;&#1077;&#1084;&#1099;
                if ($type1['edit'])
                    echo '<div class="rmenu">' . $lng_forum['topic_closed'] . '</div>';
                /*
                -----------------------------------------------------------------
                &#1041;&#1083;&#1086;&#1082; &#1075;&#1086;&#1083;&#1086;&#1089;&#1086;&#1074;&#1072;&#1085;&#1080;&#1081;
                -----------------------------------------------------------------
                */
                if ($type1['realid']) {
                    $clip_forum = isset($_GET['clip']) ? '&amp;clip' : '';
                    $vote_user = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_vote_users` WHERE `user`='$user_id' AND `topic`='$id'"), 0);
                    $topic_vote = mysql_fetch_assoc(mysql_query("SELECT `name`, `time`, `count` FROM `cms_forum_vote` WHERE `type`='1' AND `topic`='$id' LIMIT 1"));
                    echo '<div  class="gmenu"><b>' . functions::checkout($topic_vote['name']) . '</b><br />';
                    $vote_result = mysql_query("SELECT `id`, `name`, `count` FROM `cms_forum_vote` WHERE `type`='2' AND `topic`='" . $id . "' ORDER BY `id` ASC");
                    if (!$type1['edit'] && !isset($_GET['vote_result']) && $user_id && $vote_user == 0) {
                        // &#1042;&#1099;&#1074;&#1086;&#1076;&#1080;&#1084; &#1092;&#1086;&#1088;&#1084;&#1091; &#1089; &#1086;&#1087;&#1088;&#1086;&#1089;&#1072;&#1084;&#1080;
                        echo '<form action="index.php?act=vote&amp;id=' . $id . '" method="post">';
                        while (($vote = mysql_fetch_assoc($vote_result)) !== false) {
                            echo '<input type="radio" value="' . $vote['id'] . '" name="vote"/> ' . functions::checkout($vote['name'], 0, 1) . '<br />';
                        }
                        echo '<p><input type="submit" name="submit" value="' . $lng['vote'] . '"/><br /><a href="index.php?id=' . $id . '&amp;start=' . $start . '&amp;vote_result' . $clip_forum .
                             '">' . $lng_forum['results'] . '</a></p></form></div>';
                    } else {
                        // &#1042;&#1099;&#1074;&#1086;&#1076;&#1080;&#1084; &#1088;&#1077;&#1079;&#1091;&#1083;&#1100;&#1090;&#1072;&#1090;&#1099; &#1075;&#1086;&#1083;&#1086;&#1089;&#1086;&#1074;&#1072;&#1085;&#1080;&#1103;
                        echo '<small>';
                        while (($vote = mysql_fetch_assoc($vote_result)) !== false) {
                            $count_vote = $topic_vote['count'] ? round(100 / $topic_vote['count'] * $vote['count']) : 0;
                            echo functions::checkout($vote['name'], 0, 1) . ' [' . $vote['count'] . ']<br />';
                            echo '<img src="vote_img.php?img=' . $count_vote . '" alt="' . $lng_forum['rating'] . ': ' . $count_vote . '%" /><br />';
                        }
                        echo '</small></div><div class="bmenu">' . $lng_forum['total_votes'] . ': ';
                        if ($datauser['rights'] > 6)
                            echo '<a href="index.php?act=users&amp;id=' . $id . '">' . $topic_vote['count'] . '</a>';
                        else
                            echo $topic_vote['count'];
                        echo '</div>';
                        if ($user_id && $vote_user == 0)
                            echo '<div class="bmenu"><a href="index.php?id=' . $id . '&amp;start=' . $start . $clip_forum . '">' . $lng['vote'] . '</a></div>';
                    }
                }
                $curators = !empty($type1['curators']) ? unserialize($type1['curators']) : array();
                $curator = false;
                if ($rights < 6 && $rights != 3 && $user_id) {
                    if (array_key_exists($user_id, $curators)) $curator = true;
                }
                /*
                -----------------------------------------------------------------
                &#1060;&#1080;&#1082;&#1089;&#1072;&#1094;&#1080;&#1103; &#1087;&#1077;&#1088;&#1074;&#1086;&#1075;&#1086; &#1087;&#1086;&#1089;&#1090;&#1072; &#1074; &#1090;&#1077;&#1084;&#1077;
                -----------------------------------------------------------------
                */
                if (($set_forum['postclip'] == 2 && ($set_forum['upfp'] ? $start < (ceil($colmes - $kmess)) : $start > 0)) || isset($_GET['clip'])) {
                    $postreq = mysql_query("SELECT `forum`.*, `users`.`sex`, `users`.`rights`, `users`.`lastdate`, `users`.`status`, `users`.`datereg`
                    FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
                    WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'" . ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "
                    ORDER BY `forum`.`id` LIMIT 1");
                    $postres = mysql_fetch_assoc($postreq);
                    echo '<div class="topmenu"><p>';
                    if ($postres['sex'])
                        echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($postres['sex'] == 'm' ? 'm' : 'w') . ($postres['datereg'] > time() - 86400 ? '_new.png" width="14"' : '.png" width="10"') . ' height="10"/>&#160;';
                    else
                        echo '<img src="../images/del.png" width="10" height="10" alt=""/>&#160;';
                    if ($user_id && $user_id != $postres['user_id']) {
                        echo '<a href="../users/profile.php?user=' . $postres['user_id'] . '&amp;fid=' . $postres['id'] . '"><b>' . $postres['from'] . '</b></a> ' .
                             '<a href="index.php?act=say&amp;id=' . $postres['id'] . '&amp;start=' . $start . '"> ' . $lng_forum['reply_btn'] . '</a> ' .
                             '<a href="index.php?act=say&amp;id=' . $postres['id'] . '&amp;start=' . $start . '&amp;cyt"> ' . $lng_forum['cytate_btn'] . '</a> ';
                    } else {
                        echo '<b>' . $postres['from'] . '</b> ';
                    }
                    $user_rights = array(
                        1 => 'Kil',
                        3 => 'Mod',
                        6 => 'Smd',
                        7 => 'Adm',
                        8 => 'SV'
                    );
                    echo @$user_rights[$postres['rights']];
                    echo (time() > $postres['lastdate'] + 300 ? '<span class="red"> [Off]</span>' : '<span class="green"> [ON]</span>');
                    echo ' <span class="gray">(' . functions::display_date($postres['time']) . ')</span><br/>';
                    if ($postres['close']) {
                        echo '<span class="red">' . $lng_forum['post_deleted'] . '</span><br/>';
                    }
                    echo functions::checkout(mb_substr($postres['text'], 0, 500), 0, 2);
                    if (mb_strlen($postres['text']) > 500)
                        echo '...<a href="index.php?act=post&amp;id=' . $postres['id'] . '">' . $lng_forum['read_all'] . '</a>';
                    echo '</p></div>';
                }
                if ($filter)
                    echo '<div class="rmenu">' . $lng_forum['filter_on'] . '</div>';
                // &#1047;&#1072;&#1076;&#1072;&#1077;&#1084; &#1087;&#1088;&#1072;&#1074;&#1080;&#1083;&#1072; &#1089;&#1086;&#1088;&#1090;&#1080;&#1088;&#1086;&#1074;&#1082;&#1080; (&#1085;&#1086;&#1074;&#1099;&#1077; &#1074;&#1085;&#1080;&#1079;&#1091; / &#1074;&#1074;&#1077;&#1088;&#1093;&#1091;)
                if ($user_id)
                    $order = $set_forum['upfp'] ? 'DESC' : 'ASC';
                else
                    $order = ((empty($_SESSION['uppost'])) || ($_SESSION['uppost'] == 0)) ? 'ASC' : 'DESC';
                // &#1047;&#1072;&#1087;&#1088;&#1086;&#1089; &#1074; &#1073;&#1072;&#1079;&#1091;
                $req = mysql_query("SELECT `forum`.*, `users`.`sex`, `users`.`rights`, `users`.`chuki`, `users`.`lastdate`, `users`.`status`, `users`.`datereg`
                FROM `forum` LEFT JOIN `users` ON `forum`.`user_id` = `users`.`id`
                WHERE `forum`.`type` = 'm' AND `forum`.`refid` = '$id'"
                                   . ($rights >= 7 ? "" : " AND `forum`.`close` != '1'") . "$sql ORDER BY `forum`.`id` $order LIMIT $start, $kmess");
                // &#1042;&#1077;&#1088;&#1093;&#1085;&#1077;&#1077; &#1087;&#1086;&#1083;&#1077; "&#1053;&#1072;&#1087;&#1080;&#1089;&#1072;&#1090;&#1100;"
                if (($user_id && !$tuseruserype1['edit'] && $set_forum['upfp'] && $set['mod_forum'] != 3) || ($rights >= 7 && $set_forum['upfp'])) {
                    echo '<div class="gmenu"><form name="form1" action="index.php?act=say&amp;id=' . $id . '" method="post">';
                    if ($set_forum['farea']) {
                        echo '<p>' .
                             (!$is_mobile ? bbcode::auto_bb('form1', 'msg') : '') .
                             '<textarea rows="' . $set_user['field_h'] . '" name="msg"></textarea></p>' .
                             '<p><input type="checkbox" name="addfiles" value="1" /> ' . $lng_forum['add_file'] .
                             ($set_user['translit'] ? '<br /><input type="checkbox" name="msgtrans" value="1" /> ' . $lng['translit'] : '') .
                             '</p><p><input type="submit" name="submit" value="' . $lng['write'] . '" style="width: 107px; cursor: pointer;"/> ' .
                             ($set_forum['preview'] ? '<input type="submit" value="' . $lng['preview'] . '" style="width: 107px; cursor: pointer;"/>' : '') .
                             '</p></form></div>';
                    } else {
                        echo '<p><input type="submit" name="submit" value="' . $lng['write'] . '"/></p></form></div>';
                    }
                }
                if ($rights == 3 || $rights >= 6)
                    echo '<form action="index.php?act=massdel" method="post">';

if ($datauser['power'] < 0) {
echo '<div class="rmenu">Năng lượng của bạn quá yếu. Hãy <a href="/users/nap.php">nạp</a> thêm để có sức mà tham gia diễn đàn nha!</div>';
                             } else {
                $i = 1;
                while (($res = mysql_fetch_assoc($req)) !== false) {
                        echo '<div class="mainblok"><div class="phdr"><table width="100%" cellpadding="0" cellspacing="0"><tbody><tr><td width="auto"><img src="../images/file.png" alt="" /> ' . functions::display_date($res['time']) . '</td><td width="auto" align="right">#<b>'.($i+$start).'</b></td></tr></tbody></table></div><div class="newsx">';
                        echo '<table width="100%" cellpadding="1" cellspacing="0"><tbody><tr><td width="32" align="left">';
// Mau nick TV

if ($res['rights'] == 0 ) {
$colornick['colornick'] = '264564';
$colornickk['colornick'] = '264564';
}
if ($res['rights'] == 3 ) {
$colornick['colornick'] = '009900';
$colornickk['colornick'] = '009900';
}
if ($res['rights'] == 6 ) {
$colornick['colornick'] = '0099cc';
$colornickk['colornick'] = '0099cc';
}
if ($res['rights'] == 7 ) {
$colornick['colornick'] = 'ff0000';
$colornickk['colornick'] = 'ff0000';
}
if ($res['rights'] == 9 ) {
$colornick['colornick'] = 'ff0000';
$colornickk['colornick'] = 'ff0000';
}
                        // Goi Data Thanks
$user_u = $res['user_id'];
$req_u = mysql_query("SELECT * FROM `users` WHERE `id` = '$user_u' LIMIT 1");
$res_u = mysql_fetch_array($req_u);
						if ($res_u['exp'] >= 1 && $res_u['exp'] <20)
						{
							$chucdanh = '<img src="../images/level/gacon.gif" />';
						}
						if ($res_u['exp'] >= 20 && $res_u['exp'] <60)
						{
							$chucdanh = '<img src="../images/level/buago.gif" />';
						}
						if ($res_u['exp'] >= 60 && $res_u['exp'] <120)
						{
							$chucdanh = '<img src="../images/level/buagodoi.gif" />';
						}
						if ($res_u['exp'] >= 120 && $res_u['exp'] <200)
						{
							$chucdanh = '<img src="../images/level/buada.gif" />';
						}
						if ($res_u['exp'] >= 200 && $res_u['exp'] <300)
						{
							$chucdanh = '<img src="../images/level/buadadoi.gif" />';
						}
						if ($res_u['exp'] >= 300 && $res_u['exp'] <420)
						{
							$chucdanh = '<img src="../images/level/riusat.gif" />';
						}
						if ($res_u['exp'] >= 420 && $res_u['exp'] <560)
						{
							$chucdanh = '<img src="../images/level/riusatdoi.gif" />';
						}
						if ($res_u['exp'] >= 560 && $res_u['exp'] <720)
						{
							$chucdanh = '<img src="../images/level/ruibac.gif" />';
						}
						if ($res_u['exp'] >= 720 && $res_u['exp'] <900)
						{
							$chucdanh = '<img src="../images/level/riubacdoi.gif" />';
						}
						if ($res_u['exp'] >= 900 && $res_u['exp'] <1100)
						{
							$chucdanh = '<img src="../images/level/riuchienbac.gif" />';
						}
						if ($res_u['exp'] >= 1100 && $res_u['exp'] <1320)
						{
							$chucdanh = '<img src="../images/level/riuvang.gif" />';
						}
						if ($res_u['exp'] >= 1320 && $res_u['exp'] <1460)
						{
							$chucdanh = '<img src="../images/level/riuvangdoi.gif" />';
						}
						if ($res_u['exp'] >= 1460 && $res_u['exp'] <1820)
						{
							$chucdanh = '<img src="../images/level/riuchienvang.gif" />';
						}
						if ($res_u['exp'] >= 1820 && $res_u['exp'] <2100)
						{
							$chucdanh = '<img src="../images/level/phuthuyda.gif" />';
						}
						if ($res_u['exp'] >= 2100 && $res_u['exp'] <2600)
						{
							$chucdanh = '<img src="../images/level/phuthuyphale.gif" />';
						}
						if ($res_u['exp'] >= 2600 && $res_u['exp'] <2920)
						{
							$chucdanh = '<img src="../images/level/phuthuymattroi.gif" />';
						}
						if ($res_u['exp'] >= 2920 && $res_u['exp'] <3260)
						{
							$chucdanh = '<img src="../images/level/vuaphuthuy.gif" />';
						}
						if ($res_u['exp'] >= 3260 && $res_u['exp'] <3620)
						{
							$chucdanh = '<img src="../images/level/rongbang.gif" />';
						}
						if ($res_u['exp'] >= 3620 && $res_u['exp'] <4000)
						{
							$chucdanh = '<img src="../images/level/rongphale.gif" />';
						}
						if ($res_u['exp'] >= 4000 && $res_u['exp'] <4400)
						{
							$chucdanh = '<img src="../images/level/ronglua.gif" />';
						}


                         // Ket thuc
                    if ($set_user['avatar']) {
                        if (file_exists(('../files/users/avatar/' . $res['user_id'] . '.png')))
                            echo '<img src="../files/users/avatar/' . $res['user_id'] . '.png" width="32" height="32" alt="' . $res['from'] . '" />&#160;';
                        else
                            echo '<img src="../images/empty.png" width="32" height="32" alt="' . $res['from'] . '" />&#160;';
                        echo '</td><td width="auto" align="left" valign="top">';
                    }
                    // Cap cua thanh vien
                    $user_rights = array(
                        0 => 'Memb',
                        3 => 'FMod',
                        6 => 'Smd',
                        7 => 'Adm',
                        9 => 'Admin'
                    );
                    // Ten Member
                    if ($user_id && $user_id != $res['user_id']) {
                        echo '<a href="../users/profile.php?user=' . $res['user_id'] . '"><font color="#' . $colornick['colornick'] . '"><b>' . $res['from'] . '</b></font></a>';
                    echo (time() > $res['lastdate'] + 300 ? '<span class="red"> • </span> ' : '<span class="green"> • </span> ');
                    echo '<br/><b>' .$res_u['balans']. '$</b> ';
                    } else {
                        echo '<font color="#' . $colornick['colornick'] . '"><b>' . $res['from'] . '</b></font>';
                    echo (time() > $res['lastdate'] + 300 ? '<span class="red"> • </span> ' : '<span class="green"> • </span> ');
                    echo '<br/><b>' .$res_u['balans']. '$</b>';
                    }
                    echo '</td><td width="auto" align="right" valign="top">'.$chucdanh.'<br/>Post: ' .$res_u['postforum']. '</td></tr></tbody></table></div>';
                    if ($set_user['avatar'])
                    /*
                    -----------------------------------------------------------------
                    &#272;�ы&#272;�&#272;�&#272;� т&#272;�&#272;��&#129;т&#272;� &#272;�&#272;��&#129;т&#272;�
                    -----------------------------------------------------------------
                    */
echo '<div class="list1">'; // Khoi tao div bai viet
if ($user['show'] == yes) {
echo '<center>Chibi <font color="#' . $colornick['colornick'] . '"><b>' . $res['from'] . '</b></font></center>';
          if (!empty($res['status']))
                        echo '<div class="status"><img src="../theme/' . $set_user['skin'] . '/images/label.png" alt="" align="middle"/>&#160;' . $res['status'] . '</div>';


echo '<table cellpadding="0" cellspacing="0" width="100%"><tr><td width="50%" align="left">';

   echo ''.
        '<font color="#' . $colornick['colornick'] . '">Sta  :</font><img src="http://cuongbimbim.com/images/smileys/simply/D.gif" /><br/>'.
        '<font color="#' . $colornick['colornick'] . '">Exp  :</font> ' .$res_u['exp']. '<br/>'.
        '<font color="#' . $colornick['colornick'] . '">Thank:</font> ' .$res_u['thank_duoc'] .'/' .$res_u['thank_di'] .'<br/>';
echo '</td>';
echo '<td width="50%" align="right">';
echo '<img src="/images/nhanvat/cf/' . $res_u['nhanvat'] . '.png" hieght="90" width="90" />';
         if ($user_id && $user_id != $res['user_id']) {
echo '<div class="status"><a href="/users/chem.php?id='  .  $res['user_id']  .  '"><font color="#' . $colornick['colornick'] . '">Kill</font></a></div>';
                                                      }

echo '<div class="status">HP: ' .$res_u['power']. '</div>';


echo '</td></tr></table>';
                          }

if ($i == 1) echo '<div class="huyentrang">';  // Khoi tao dong dau ban quyen

                    $text = $res['text'];
                    if ($set_forum['postcut']) {
                        // &#272;��&#129;&#272;�&#272;� т&#272;�&#272;��&#129;т &#272;�&#272;�&#272;�&#272;�&#272;�ы&#272;�, &#272;�&#272;�р&#272;�&#272;�&#272;�&#272;�&#272;� &#272;� &#272;�&#272;�&#272;�&#272;� �&#129;�&#129;ы&#272;�&#272;�у &#272;�&#272;� &#272;�&#272;�&#272;�&#272;�ы&#272;� &#272;�&#272;�р&#272;�&#272;�&#272;�т
                        switch ($set_forum['postcut']) {
                            case 3:
                                $cut = 3000;
                                break;
                            default :
                                $cut = 10000;
                        }
                    }
                    if ($set_forum['postcut'] && mb_strlen($text) > $cut) {
                        $text = mb_substr($text, 0, $cut);
                        $text = functions::checkout($text, 1, 1);
                        $text = str_replace('ế', '&#7871;', $text);
                        $text = preg_replace('#\[c\](.*?)\[/c\]#si', '<div class="quote">\1</div>', $text);
                        if ($set_user['smileys'])
                        if($datauser['postforum'] < 30) {
                        $text = preg_replace('#\[saukem\](.*?)\[/saukem\]#si', '<div class="codetitle">' . $lng_forum['titlehide'] . '</div><div class="codecontent">' . $lng_forum['hidden_text'] . '</div>', $text);
                        } else {
                        $text = preg_replace('#\[saukem\](.*?)\[/saukem\]#si', '\1', $text);
                        }
                            $text = functions::smileys($text, $res['rights'] ? 1 : 0);
                            echo bbcode::notags($text) . '...<br /><a href="'.$home.'/forum/' . functions::nhanhnao($type1['text']) . '_p' . $res['id'] . '.html">' . $lng_forum['read_all'] . ' &gt;&gt;</a>';
                    } else {
                        // &#272;�&#272;�&#272;�, &#272;�&#272;�р&#272;�&#272;�&#272;�ты&#272;�&#272;�&#272;�&#272;� т�&#141;&#272;�&#272;� &#272;� &#272;�ы&#272;�&#272;�&#272;�&#272;�&#272;� &#272;�&#272;��&#129;ь т&#272;�&#272;��&#129;т
                        $text = functions::checkout($text, 1, 1);
                        if ($set_user['smileys'])
                        if($datauser['postforum'] < 30) {
                        $text = preg_replace('#\[saukem\](.*?)\[/saukem\]#si', '<div class="codetitle">' . $lng_forum['titlehide'] . '</div><div class="codecontent">' . $lng_forum['hidden_text'] . '</div>', $text);
                        } else {
                        $text = preg_replace('#\[saukem\](.*?)\[/saukem\]#si', '\1', $text);
                        }
                            $text = functions::smileys($text, $res['rights'] ? 1 : 0);
                        echo $text;
                    }
                    if ($res['kedit']) {
                        //////////
                        echo '<br /><span class="gray"><small>' . $lng_forum['edited'] . ' <b>' . $res['edit'] . '</b> (' . functions::display_date($res['tedit']) . ') <b>[' . $res['kedit'] . ']</b></small></span>';
                    }
                    /////////
                    $freq = mysql_query("SELECT * FROM `cms_forum_files` WHERE `post` = '" . $res['id'] . "'");
                    if (mysql_num_rows($freq) > 0) {
                        $fres = mysql_fetch_assoc($freq);
                        $fls = round(@filesize('../files/forum/attach/' . $fres['filename']) / 1024, 2);
                        echo '<br /><span class="gray"><img src="/images/attach.png" />:';
                         ////////
                        $att_ext = strtolower(functions::format('./files/forum/attach/' . $fres['filename']));
                        $pic_ext = array(
                            'gif',
                            'jpg',
                            'jpeg',
                            'png'
                        );
                        if (in_array($att_ext, $pic_ext)) {
                            echo '<div><a href="index.php?act=file&amp;id=' . $fres['id'] . '">';
                            echo '<img src="thumbinal.php?file=' . (urlencode($fres['filename'])) . '" alt="' . $lng_forum['click_to_view'] . '" /></a></div>';
                        } else {
                            echo '<a href="index.php?act=file&amp;id=' . $fres['id'] . '">' . $fres['filename'] . '</a>';
                        }
                        echo ' (' . $fls . ' KB.)';
                        echo '<font color="#cc00cc">[' . $fres['dlcount'] . ']</font></span>';
                        $file_id = $fres['id'];
                    }

                   // Thong Ke So Nguoi Thank JohnCMS 4.4
$thongkethank = mysql_query("SELECT COUNT(*) from `forum_thank` where `topic`='" . $res["id"] . "'");
$thongkethanks = mysql_result($thongkethank, 0);
// $thongkethanks=mysql_result(mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `topic` = "' . $res['id'] . '"')), 0);
$thongkea= @mysql_query("select * from `forum_thank` where `topic` = '" . $res['id'] . "'");
$thongke=mysql_fetch_array($thongkea);
$idthongke=trim($_GET['idthongke']);
if($thongkethanks>0&&(empty($_GET['idthongke'])))
{echo'<div id="'.$idthongke.'"><b><font color="green">Thanker:</font></b> ';
$thongkeaa = @mysql_query("select * from `forum_thank` where `topic` = '" . $res['id'] . "'");while ($thongkea = mysql_fetch_array($thongkeaa))
{
{
$dentv=mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = "'.$thongkea['userthank'].'"'));
echo '<a href="/users/profile.php?id='.$thongkea['userthank'].'">'.$dentv['name'].'</a>, ';
}
++$f;
}
echo '</div>'; }
                   // Ket thuc
                                 echo '<div><font color="#CC00CC">(' . $res['soft'] . ')</font></div>';
                    // Cap cua thanh vien 2
                    $user_rights = array(
                        0 => '<img src="/images/capbac/sk.gif"/>',
                        3 => '<img src="/images/capbac/mod.gif"/>',
                        6 => '<img src="/images/capbac/sm.gif"/>',
                        7 => 'Adm',
                        9 => '<img src="/images/capbac/adm.gif"/>'
                    );
echo '<div style="text-align:right">' . $user_rights[$res['rights']] . '</div>';
//g0i data thanks
$checkthank = mysql_query('SELECT COUNT(*) FROM `forum_thank` WHERE `userthank` = "' . $user_id . '" and `topic` = "' . $res['id'] . '" and `user` = "' . $res['user_id'] . '"');
//end
                                 echo '</div>';
if ($i == 1) echo '</div>';

if($res['chuki']){
echo '<div class="menu">' .bbcode::tags($res['chuki']). '</div>';
}
                    if ($user_id && $user_id != $res['user_id'] && (mysql_result($checkthank, 0) < 1)) {
                        echo '<div class="forumb"><table cellpadding="0" cellspacing="0" width="100%"><tr><td width="auto" align="left"><a href="/users/profile.php?act=vipham&amp;user=' . $res['user_id'] . '"><img src="../images/report-40b-hover.png"/></a> <a href="index.php?id=' . $id . '&amp;thanks=' . $res['id'] . '&amp;user=' . $res['user_id'] . '&amp;start=' . $start . '&amp;thank#thanksyou"><img src="../images/add-infraction_sm-hover.png" /></a></td><td width="auto" align="right"><a href="index.php?act=say&amp;id=' . $res['id'] . '&amp;start=' . $start . '"><img src="../images/reply.png" /></a>&#160;' .
                                                  '<a href="index.php?act=say&amp;id=' . $res['id'] . '&amp;start=' . $start . '&amp;cyt"><img src="../images/fquote.png" /></a></td></tr></table></div>';
                    }
                         echo '</div>';
                    if ((($rights == 3 || $rights >= 6 || $curator) && $rights >= $res['rights']) || ($res['user_id'] == $user_id && !$set_forum['upfp'] && ($start + $i) == $colmes && $res['time'] > time() - 300) || ($res['user_id'] == $user_id && $set_forum['upfp'] && $start == 0 && $i == 1 && $res['time'] > time() - 300)) {
                        // &#1057;&#1089;&#1099;&#1083;&#1082;&#1080; &#1085;&#1072; &#1088;&#1077;&#1076;&#1072;&#1082;&#1090;&#1080;&#1088;&#1086;&#1074;&#1072;&#1085;&#1080;&#1077; / &#1091;&#1076;&#1072;&#1083;&#1077;&#1085;&#1080;&#1077; &#1087;&#1086;&#1089;&#1090;&#1086;&#1074;
                        $menu = array(
                            '<a href="index.php?act=editpost&amp;id=' . $res['id'] . '">' . $lng['edit'] . '</a>',
                            ($rights >= 7 && $res['close'] == 1 ? '<a href="index.php?act=editpost&amp;do=restore&amp;id=' . $res['id'] . '">' . $lng_forum['restore'] . '</a>' : ''),
                            ($res['close'] == 1 ? '' : '<a href="index.php?act=editpost&amp;do=del&amp;id=' . $res['id'] . '">' . $lng['delete'] . '</a>')
                        );
                        echo '<div class="sub">';
                        if ($rights == 3 || $rights >= 6)
                            echo '<input type="checkbox" name="delch[]" value="' . $res['id'] . '"/>&#160;';
                        echo functions::display_menu($menu);
                        if ($res['close']) {
                            echo '<div class="red">' . $lng_forum['who_delete_post'] . ': <b>' . $res['close_who'] . '</b></div>';
                        } elseif (!empty($res['close_who'])) {
                            echo '<div class="green">' . $lng_forum['who_restore_post'] . ': <b>' . $res['close_who'] . '</b></div>';
                        }
                        echo '</div>';
                    }
                    ++$i;
                }
}
                if ($rights == 3 || $rights >= 6) {
                    echo '<div class="mainblok"><div class="topmenu"><input type="submit" value=" ' . $lng['delete'] . ' "/></div></div>';
                    echo '</form>';
                }
                // Tra Loi Nhanh
                echo '<div class="mainblok"><div class="phdr">Trả lời nhanh</div><div class="menu">';
                    if($user_id && $datauser['power'] >= 0){
                    echo '<form action="index.php?act=say&amp;id=' . $id . '" method="post">';
                        echo '<textarea cols="' . $set_forum['farea_w'] . '" rows="3" name="msg"></textarea><br/>';
                        echo '<input type="checkbox" name="addfiles" value="1" /> Thêm tập tin<br/>';
                        if ($set_user['translit'])
                            echo '<input type="checkbox" name="msgtrans" value="1" /> TV có dấu<br/>';
                    echo '<input type="submit" name="submit" value="Gửi"/>';
                    echo '</form>';
                }
                    echo '</div></div>';
                echo '<div class="mainblok"><div class="phdr"><a name="down" id="down"></a><a href="#up">' .
                     '<img src="../theme/' . $set_user['skin'] . '/images/up.png" alt="' . $lng['up'] . '" width="20" height="10" border="0"/></a>' .
                     '&#160;&#160;' . $lng['total'] . ': ' . $colmes . '</div>';
                if ($colmes > $kmess) {
                    echo '<div class="topmenu">' . functions::display_pagination2(''.$home.'/forum/'.functions::nhanhnao($type1["text"]).'_' . $id, $start, $colmes, $kmess) . '</div></div>' .
                         '<p><form action="index.php?id=' . $id . '" method="post">' .
                         '<input type="text" name="page" size="2"/>' .
                         '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
                         '</form></p>';
                } else {
                    echo '</div><br />';
                }

                /*
                -----------------------------------------------------------------
                Chia se bv
                -----------------------------------------------------------------
                */
echo '<div class="mainblok"><div class="phdr"><b>Chia sẻ bài viết</b></div><div class="menu"><textarea wrap="virtual" name="message" rows="3" tabindex="1">'.bbcode::notags($type1["text"]).' ~~> http://trinhhuyentrang.org/' . $id . ' Xin lỗi đã Spam, gửi cho bạn bè tin này dùm mình nha!</textarea></div></div>';


                /*
                -----------------------------------------------------------------
                Tags Forum
                -----------------------------------------------------------------
                */
                echo '<div class="mainblok"><div class="phdr">Tags</div><div class="menu"><img src="/images/tags.png" /> ' .$type1['tags']. '</div></div>';

if ($id) {
    /*
    -----------------------------------------------------------------
    &#1055;&#1086;&#1082;&#1072;&#1079;&#1099;&#1074;&#1072;&#1077;&#1084; &#1086;&#1073;&#1097;&#1080;&#1081; &#1089;&#1087;&#1080;&#1089;&#1086;&#1082; &#1090;&#1077;&#1093;, &#1082;&#1090;&#1086; &#1074; &#1074;&#1099;&#1073;&#1088;&#1072;&#1085;&#1085;&#1086;&#1081; &#1090;&#1077;&#1084;&#1077;
    -----------------------------------------------------------------
    */
    $req = mysql_query("SELECT `text` FROM `forum` WHERE `id` = '$id' AND `type` = 't'");
    if (mysql_num_rows($req)) {
        $res = mysql_fetch_assoc($req);
        echo '<div class="mainblok"><div class="phdr"><b>' . $lng_forum['who_in_topic'] . '?</b></div><div class="menu">';
        $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `" . ($do == 'guest' ? 'cms_sessions' : 'users') . "` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
        if ($total) {
            $req = mysql_query("SELECT * FROM `" . ($do == 'guest' ? 'cms_sessions' : 'users') . "` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id' ORDER BY " . ($do == 'guest' ? "`movings` DESC"
                                       : "`name` ASC") . " LIMIT $start, $kmess");
echo 'Có ' .$total. ' thành viên đang xem chủ đề này: ';
            while (($res = mysql_fetch_assoc($req)) !== false) {
                echo $i % 2 ? ', ' : ' ';
                $set_user['avatar'] = 0;
                echo functions::display_ai($res, 0, ($act == 'guest' || ($rights >= 1 && $rights >= $res['rights']) ? 1 : 0));
                ++$i;
            }
$online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` = 'forum,$id'"), 0);
echo ' và ' . $online_g . ' khách</div></div>';
        } else {
            echo '<p>Chỉ có khách xem</p></div></div>';
        }
    } else {
        header('Location: index.php');
    }
}


                /*
                -----------------------------------------------------------------
                &#1057;&#1089;&#1099;&#1083;&#1082;&#1080; &#1085;&#1072; &#1084;&#1086;&#1076;&#1077;&#1088;&#1072;&#1090;&#1086;&#1088;&#1089;&#1082;&#1080;&#1077; &#1092;&#1091;&#1085;&#1082;&#1094;&#1080;&#1080;
                -----------------------------------------------------------------
                */
                if ($curators) {
                    $array = array();
                    foreach ($curators as $key => $value)
                        $array[] = '<a href="../users/profile.php?user=' . $key . '">' . $value . '</a>';
                    echo '<p><div class="func">' . $lng_forum['curators'] . ': ' . implode(', ', $array) . '</div></p>';
                }



echo '<div class="mainblok">';
                $req = mysql_query("SELECT * FROM `forum` WHERE `type`='t' AND `refid`='$type1[refid]' AND `id`!='$id' ORDER BY `vip` DESC, `time` DESC LIMIT 5");
                $total = mysql_num_rows($req);
             if($total!=0) {
                echo '<div class="phdrblack">Cùng chuyên m&#7909;c</div>';
                while ($res = mysql_fetch_assoc($req)) {
                    echo '<div class="menub"><a href="index.php?id=' . $res['id'] . '">' . bbcode::tags($res['text']) . '</a>';
                    ++$i;
                    echo '</div>';                                                        }
}
                if ($filter)
                    echo '<div class="phdrblack"><a href="index.php?act=filter&amp;id=' . $id . '&amp;do=unset">' . $lng_forum['filter_cancel'] . '</a>';
                else
                    echo '<div class="phdrblack"><a href="index.php?act=filter&amp;id=' . $id . '&amp;start=' . $start . '">' . $lng_forum['filter_on_author'] . '</a>';
                echo ' | <a href="index.php?act=tema&amp;id=' . $id . '">' . $lng_forum['download_topic'] . '</a></div></div>';

                if ($rights == 3 || $rights >= 6) {
                    if ($rights >= 7)
                        echo '<a href="index.php?act=curators&amp;id=' . $id . '&amp;start=' . $start . '">' . $lng_forum['curators_of_the_topic'] . '</a><br />';
                    echo isset($topic_vote) && $topic_vote > 0
                            ? '<a href="index.php?act=editvote&amp;id=' . $id . '">' . $lng_forum['edit_vote'] . '</a><br/><a href="index.php?act=delvote&amp;id=' . $id . '">' . $lng_forum['delete_vote'] . '</a><br/>'
                            : '<a href="index.php?act=addvote&amp;id=' . $id . '">' . $lng_forum['add_vote'] . '</a><br/>';
                    echo '<a href="index.php?act=ren&amp;id=' . $id . '">' . $lng_forum['topic_rename'] . '</a><br/>';
                    // &#1047;&#1072;&#1082;&#1088;&#1099;&#1090;&#1100; - &#1086;&#1090;&#1082;&#1088;&#1099;&#1090;&#1100; &#1090;&#1077;&#1084;&#1091;
                    if ($type1['edit'] == 1)
                        echo '<a href="index.php?act=close&amp;id=' . $id . '">' . $lng_forum['topic_open'] . '</a><br/>';
                    else
                        echo '<a href="index.php?act=close&amp;id=' . $id . '&amp;closed">' . $lng_forum['topic_close'] . '</a><br/>';
                    // &#1059;&#1076;&#1072;&#1083;&#1080;&#1090;&#1100; - &#1074;&#1086;&#1089;&#1089;&#1090;&#1072;&#1085;&#1086;&#1074;&#1080;&#1090;&#1100; &#1090;&#1077;&#1084;&#1091;
                    if ($type1['close'] == 1)
                        echo '<a href="index.php?act=restore&amp;id=' . $id . '">' . $lng_forum['topic_restore'] . '</a><br/>';
                    echo '<a href="index.php?act=deltema&amp;id=' . $id . '">' . $lng_forum['topic_delete'] . '</a><br/>';
                    if ($type1['vip'] == 1)
                        echo '<a href="index.php?act=vip&amp;id=' . $id . '">' . $lng_forum['topic_unfix'] . '</a>';
                    else
                        echo '<a href="index.php?act=vip&amp;id=' . $id . '&amp;vip">' . $lng_forum['topic_fix'] . '</a>';
                    echo '<br/><a href="index.php?act=per&amp;id=' . $id . '">' . $lng_forum['topic_move'] . '</a>';
                }

                break;

            default:
                /*
                -----------------------------------------------------------------
                &#1045;&#1089;&#1083;&#1080; &#1085;&#1077;&#1074;&#1077;&#1088;&#1085;&#1099;&#1077; &#1076;&#1072;&#1085;&#1085;&#1099;&#1077;, &#1087;&#1086;&#1082;&#1072;&#1079;&#1099;&#1074;&#1072;&#1077;&#1084; &#1086;&#1096;&#1080;&#1073;&#1082;&#1091;
                -----------------------------------------------------------------
                */
                echo functions::display_error($lng['error_wrong_data']);
                break;
        }
    } else {
        /*
        -----------------------------------------------------------------
        &#1057;&#1087;&#1080;&#1089;&#1086;&#1082; &#1050;&#1072;&#1090;&#1077;&#1075;&#1086;&#1088;&#1080;&#1081; &#1092;&#1086;&#1088;&#1091;&#1084;&#1072;
        -----------------------------------------------------------------
        */
        $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_forum_files`" . ($rights >= 7 ? '' : " WHERE `del` != '1'")), 0);
        echo '<p>' . counters::forum_new(1) . '</p>' .
             '<div class="mainblok"><div class="phdr"><b>' . $lng['forum'] . '</b></div>' .
             '<div class="topmenu"><a href="search.php">' . $lng['search'] . '</a> | <a href="index.php?act=files">' . $lng_forum['files_forum'] . '</a> <span class="red">(' . $count . ')</span></div></div>';
        $req = mysql_query("SELECT `id`, `text`, `soft` FROM `forum` WHERE `type`='f' ORDER BY `realid`");
        $i = 0;
        while (($res = mysql_fetch_array($req)) !== false) {
            echo $i % 2 ? '<div class="list2">' : '<div class="list1">';
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum` WHERE `type`='r' and `refid`='" . $res['id'] . "'"), 0);
            echo '<a href="'.$home.'/forum/' . functions::nhanhnao($res['text']) . '_' . $res['id'] . '.html">' . $res['text'] . '</a> [' . $count . ']';
            if (!empty($res['soft']))
                echo '<div class="sub"><span class="gray">' . $res['soft'] . '</span></div>';
            echo '</div>';
            ++$i;
        }
        $online_u = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` > " . (time() - 300) . " AND `place` LIKE 'forum%'"), 0);
        $online_g = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_sessions` WHERE `lastdate` > " . (time() - 300) . " AND `place` LIKE 'forum%'"), 0);
        echo '<div class="mainblok"><div class="phdr">' . ($user_id ? '<a href="index.php?act=who">' . $lng_forum['who_in_forum'] . '</a>' : $lng_forum['who_in_forum']) . '&#160;(' . $online_u . '&#160;/&#160;' . $online_g . ')</div></div>';
        unset($_SESSION['fsort_id']);
        unset($_SESSION['fsort_users']);
    }
/////////////////&#272;&#7871;m l&#432;&#7907;t //////////////
mysql_query("UPDATE forum SET view = view + 1 WHERE id = $id");
    // &#1053;&#1072;&#1074;&#1080;&#1075;&#1072;&#1094;&#1080;&#1103; &#1074;&#1085;&#1080;&#1079;&#1091; &#1089;&#1090;&#1088;&#1072;&#1085;&#1080;&#1094;&#1099;
    echo '<p>' . ($id ? '<a href="index.php">' . $lng['to_forum'] . '</a><br />' : '');
    if (!$id) {
        echo '<a href="../pages/faq.php?act=forum">' . $lng_forum['forum_rules'] . '</a><br/>';
        echo '<a href="index.php?act=moders">' . $lng['moders'] . '</a>';
    }
    echo '</p>';
    if (!$user_id) {
        if ((empty($_SESSION['uppost'])) || ($_SESSION['uppost'] == 0)) {
            echo '<a href="index.php?id=' . $id . '&amp;page=' . $page . '&amp;newup">' . $lng_forum['new_on_top'] . '</a>';
        } else {
            echo '<a href="index.php?id=' . $id . '&amp;page=' . $page . '&amp;newdown">' . $lng_forum['new_on_bottom'] . '</a>';
        }
    }
}
require_once('../incfiles/end.php');

?>