/* 
    Document   : style_v2
    Created on : 22-05-2012, 21:48:42
    Author     : SONY
    Description:
        Purpose of the stylesheet follows.
*/

.html {
    padding: 10px;
}
body {
    background: none repeat scroll 0 0 #2484BF !important;
    color: #A4A4A4 !important;
    margin: 0;
    padding: 0;
}
input, textarea, select, .uneditable-input {
    height: auto;
    line-height: 1.2em;
    resize: vertical;
}
#wrapper {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-clip: padding-box;
    background-color: #FFFFFF;
    border-color: -moz-use-text-color rgba(0, 0, 0, 0.3) rgba(0, 0, 0, 0.3);
    border-right: 1px solid rgba(0, 0, 0, 0.3);
    border-style: none solid solid;
    border-width: medium 1px 1px;
    box-shadow: 0 3px 7px rgba(0, 0, 0, 0.3);
    font-size: 12px;
    line-height: 1.6;
    margin: 0 auto;
    max-width: 640px;
    min-width: 240px;
    overflow: auto;
    padding: 0 5px;
}
.head {
    height: 30px;
    background-color: #e67300;
    margin: 0;
    padding: 0;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
}
.head a {
    display: block;
    font-size: 12px;
    height: 30px;
}
.head a:hover {
    text-decoration: none;
}
#nav {
    background-color: #e67300;
    margin: 0;
    padding: 0;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0);
}
#nav li {
    float: left;
    line-height: 18px;
    list-style: none outside none;
}
#nav > li > a {
    margin: 0;
}
.navbar {
    margin: 0 !important;
}
.box {
    border-bottom: 1px solid #E5E5E5;
    padding: 6px 0;
}
.b {
    background-color: #e67300;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
}
.b a {
    color: #FFFFFF;
    display: block;
    padding: 8px;
}
.b a:hover {
    color: #FFFFFF;
    text-decoration: none;
}
.content_box ul {
    margin: 0;
    padding: 0;
}
.content_box ul li {
    border-bottom: 1px solid #E5E5E5;
    list-style: none outside none;
    padding: 6px 10px;
}
.li_content {
    list-style: square inside none !important;
}
.content_box ul li:last-child {
    border-bottom: 0 none !important;
}
.pagination {
    margin: 0 0 2px !important;
    padding: 0 !important;
}
.pagination a {
    line-height: 25px !important;
}
.pagination ul {
    border-radius: 0 0 0 0 !important;
}
.form {
    padding: 10px;
}
#footer {
    background-color: #2C2C2C;
    background-image: -moz-linear-gradient(center top , #333333, #222222);
    background-repeat: repeat-x;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25), 0 -1px 0 rgba(0, 0, 0, 0.1) inset;
    padding: 5px 20px;
}
#footer p {
    color: #FFFFFF;
    font-family: Tahoma,Verdana,Arial,Helvetica,"Trebuchet MS",Tahoma,Geneva,"Lucida Sans Unicode","Lucida Grande",sans-serif;
    font-size: 11px;
    margin: 0 !important;
    padding: 0 !important;
}
.bar_forum {
    background: none repeat scroll 0 0 #F2F2F2;
    padding: 3px 10px;
}
.bar_forum a, .bar_forum a:hover {
    font-size: 13px;
    font-weight: bold;
    text-decoration: none;
}
.content_forum > ul {
    margin: 0;
    padding: 0;
}
.content_forum > ul > li {
    list-style: none outside none;
}
.li_forum {
    margin: 0;
    padding: 0;
}
.li_forum li {
    border-bottom: 1px solid #E5E5E5;
    list-style: disc inside url("/img/bullet_orange.png");
    padding: 6px 10px;
}
.li_forum li:last-child {
    list-style: none outside none;
}
.li_forum li a:hover {
    text-decoration: none;
}
.navpage {
    clear: both;
    color: #555555;
    font-family: Arial;
    font-size: 12px;
    font-weight: bold;
    padding: 7px 0;
    text-align: center;
    text-decoration: none;
}
.navpage .current, .navpage .item a {
    border: 1px solid #E9E9E9;
    margin: 2px;
    outline: medium none;
    padding: 1px 4px;
    text-decoration: none;
}
.navpage .item a {
    border: 1px solid #E9E9E9;
    color: #555555;
    text-decoration: none;
}
.navpage .current, .navpage .item a:hover {
    background-color: #E9E9E9;
    color: #555555;
    text-decoration: none;
}
.cicon {
    background-repeat: no-repeat;
    height: 20px;
    padding: 2px 9px;
    width: 16px;
}
.cicon.underline {
    background-image: url("../img/underline.gif");
}
.cicon.italic {
    background-image: url("../img/italic.gif");
}
.cicon.bold {
    background-image: url("../img/bold.gif");
}
.cicon.color {
    background-image: url("../img/color.gif");
}
.cicon.color:hover {
    background-image: url("../img/color_on.gif");
}
.cicon.bgcolor {
    background-image: url("../img/color_bg.gif");
}
.cicon.bgcolor:hover {
    background-image: url("../img/color_bg_on.gif");
}
.bb_hide {
    background-color: rgba(178, 178, 178, 0.5);
    border: 1px solid #708090;
    display: none;
    max-height: 150px;
    max-width: 300px;
    overflow: auto;
    padding: 5px;
    position: absolute;
}
.bb_opt:hover .bb_hide {
    display: block;
}
.bb_color a {
    border: 1px solid black;
    float: left;
    height: 9px;
    margin: 1px;
    width: 9px;
}
.admin, .admin a {
    color: red;
}
.mod, .mod a {
    color: blue;
}
.mydateselect input, .mydateselect select {
    margin-bottom: 0;
    overflow: hidden;
    width: auto !important;
}/* 
    Document   : styles_v2.1
    Created on : 22-05-2012, 22:01:55
    Author     : SONY
    Description:
        Purpose of the stylesheet follows.
*/

article, aside, details, figcaption, figure, footer, header, hgroup, nav, section {
    display: block;
}
audio, canvas, video {
    display: inline-block;
}
audio:not([controls]) {
    display: none;
}
html {
    font-size: 100%;
}
a:focus {
    outline: thin dotted #333333;
    outline-offset: -2px;
}
a:hover, a:active {
    outline: 0 none;
}
sub, sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}
sup {
    top: -0.5em;
}
sub {
    bottom: -0.25em;
}
img {
    border: 0 none;
    max-width: 100%;
    vertical-align: middle;
}
button, input, select, textarea {
    font-size: 100%;
    margin: 0;
    vertical-align: middle;
}
button, input {
    line-height: normal;
}
button::-moz-focus-inner, input::-moz-focus-inner {
    border: 0 none;
    padding: 0;
}
button, input[type="button"], input[type="reset"], input[type="submit"] {
    cursor: pointer;
}
input[type="search"] {
    -moz-box-sizing: content-box;
}
textarea {
    overflow: auto;
    vertical-align: top;
}
.clearfix {
}
.clearfix:before, .clearfix:after {
    content: "";
    display: table;
}
.clearfix:after {
    clear: both;
}
.hide-text {
    background-color: transparent;
    border: 0 none;
    color: transparent;
    font: 0pt/0 a;
    text-shadow: none;
}
.input-block-level {
    -moz-box-sizing: border-box;
    display: block;
    min-height: 28px;
    width: 100%;
}
body {
    background-color: #FFFFFF;
    color: #333333;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 13px;
    line-height: 18px;
    margin: 0;
}
a {
    color: #0088CC;
    text-decoration: none;
}
a:hover {
    color: #005580;
    text-decoration: underline;
}
.row {
    margin-left: -20px;
}
.row:before, .row:after {
    content: "";
    display: table;
}
.row:after {
    clear: both;
}
[class*="span"] {
    float: left;
    margin-left: 20px;
}
.container, .navbar-fixed-top .container, .navbar-fixed-bottom .container {
    width: 940px;
}
.span12 {
    width: 940px;
}
.span11 {
    width: 860px;
}
.span10 {
    width: 780px;
}
.span9 {
    width: 700px;
}
.span8 {
    width: 620px;
}
.span7 {
    width: 540px;
}
.span6 {
    width: 460px;
}
.span5 {
    width: 380px;
}
.span4 {
    width: 300px;
}
.span3 {
    width: 220px;
}
.span2 {
    width: 140px;
}
.span1 {
    width: 60px;
}
.offset12 {
    margin-left: 980px;
}
.offset11 {
    margin-left: 900px;
}
.offset10 {
    margin-left: 820px;
}
.offset9 {
    margin-left: 740px;
}
.offset8 {
    margin-left: 660px;
}
.offset7 {
    margin-left: 580px;
}
.offset6 {
    margin-left: 500px;
}
.offset5 {
    margin-left: 420px;
}
.offset4 {
    margin-left: 340px;
}
.offset3 {
    margin-left: 260px;
}
.offset2 {
    margin-left: 180px;
}
.offset1 {
    margin-left: 100px;
}
.row-fluid {
    width: 100%;
}
.row-fluid:before, .row-fluid:after {
    content: "";
    display: table;
}
.row-fluid:after {
    clear: both;
}
.row-fluid [class*="span"] {
    -moz-box-sizing: border-box;
    display: block;
    float: left;
    margin-left: 2.12766%;
    min-height: 28px;
    width: 100%;
}
.row-fluid [class*="span"]:first-child {
    margin-left: 0;
}
.row-fluid .span12 {
    width: 100%;
}
.row-fluid .span11 {
    width: 91.4894%;
}
.row-fluid .span10 {
    width: 82.9787%;
}
.row-fluid .span9 {
    width: 74.4681%;
}
.row-fluid .span8 {
    width: 65.9574%;
}
.row-fluid .span7 {
    width: 57.4468%;
}
.row-fluid .span6 {
    width: 48.9362%;
}
.row-fluid .span5 {
    width: 40.4255%;
}
.row-fluid .span4 {
    width: 31.9149%;
}
.row-fluid .span3 {
    width: 23.4043%;
}
.row-fluid .span2 {
    width: 14.8936%;
}
.row-fluid .span1 {
    width: 6.38298%;
}
.container {
    margin-left: auto;
    margin-right: auto;
}
.container:before, .container:after {
    content: "";
    display: table;
}
.container:after {
    clear: both;
}
.container-fluid {
    padding-left: 20px;
    padding-right: 20px;
}
.container-fluid:before, .container-fluid:after {
    content: "";
    display: table;
}
.container-fluid:after {
    clear: both;
}
p {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 13px;
    line-height: 18px;
    margin: 0 0 9px;
}
p small {
    color: #999999;
    font-size: 11px;
}
.lead {
    font-size: 20px;
    font-weight: 200;
    line-height: 27px;
    margin-bottom: 18px;
}
h1, h2, h3, h4, h5, h6 {
    color: inherit;
    font-family: inherit;
    font-weight: bold;
    margin: 0;
    text-rendering: optimizelegibility;
}
h1 small, h2 small, h3 small, h4 small, h5 small, h6 small {
    color: #999999;
    font-weight: normal;
}
h1 {
    font-size: 30px;
    line-height: 36px;
}
h1 small {
    font-size: 18px;
}
h2 {
    font-size: 24px;
    line-height: 36px;
}
h2 small {
    font-size: 18px;
}
h3 {
    font-size: 18px;
    line-height: 27px;
}
h3 small {
    font-size: 14px;
}
h4, h5, h6 {
    line-height: 18px;
}
h4 {
    font-size: 14px;
}
h4 small {
    font-size: 12px;
}
h5 {
    font-size: 12px;
}
h6 {
    color: #999999;
    font-size: 11px;
    text-transform: uppercase;
}
.page-header {
    border-bottom: 1px solid #EEEEEE;
    margin: 18px 0;
    padding-bottom: 17px;
}
.page-header h1 {
    line-height: 1;
}
ul, ol {
    margin: 0 0 9px 25px;
    padding: 0;
}
ul ul, ul ol, ol ol, ol ul {
    margin-bottom: 0;
}
ul {
    list-style: disc outside none;
}
ol {
    list-style: decimal outside none;
}
li {
    line-height: 18px;
}
ul.unstyled, ol.unstyled {
    list-style: none outside none;
    margin-left: 0;
}
dl {
    margin-bottom: 18px;
}
dt, dd {
    line-height: 18px;
}
dt {
    font-weight: bold;
    line-height: 17px;
}
dd {
    margin-left: 9px;
}
.dl-horizontal dt {
    clear: left;
    float: left;
    overflow: hidden;
    text-align: right;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 120px;
}
.dl-horizontal dd {
    margin-left: 130px;
}
hr {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #EEEEEE -moz-use-text-color #FFFFFF;
    border-left: 0 none;
    border-right: 0 none;
    border-style: solid none;
    border-width: 1px 0;
    margin: 18px 0;
}
strong {
    font-weight: bold;
}
em {
    font-style: italic;
}
.muted {
    color: #999999;
}
abbr[title] {
    border-bottom: 1px dotted #DDDDDD;
    cursor: help;
}
abbr.initialism {
    font-size: 90%;
    text-transform: uppercase;
}
blockquote {
    border-left: 5px solid #EEEEEE;
    margin: 0 0 18px;
    padding: 0 0 0 15px;
}
blockquote p {
    font-size: 16px;
    font-weight: 300;
    line-height: 22.5px;
    margin-bottom: 0;
}
blockquote small {
    color: #999999;
    display: block;
    line-height: 18px;
}
blockquote small:before {
    content: "— ";
}
blockquote.pull-right {
    border-left: 0 none;
    border-right: 5px solid #EEEEEE;
    float: right;
    padding-left: 0;
    padding-right: 15px;
}
blockquote.pull-right p, blockquote.pull-right small {
    text-align: right;
}
q:before, q:after, blockquote:before, blockquote:after {
    content: "";
}
address {
    display: block;
    font-style: normal;
    line-height: 18px;
    margin-bottom: 18px;
}
small {
    font-size: 100%;
}
cite {
    font-style: normal;
}
code, pre {
    border-radius: 3px 3px 3px 3px;
    color: #333333;
    font-family: Menlo,Monaco,Consolas,"Courier New",monospace;
    font-size: 12px;
    padding: 0 3px 2px;
}
code {
    background-color: #F7F7F9;
    border: 1px solid #E1E1E8;
    color: #DD1144;
    padding: 2px 4px;
}
pre {
    background-color: #F5F5F5;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 4px 4px 4px 4px;
    display: block;
    font-size: 12.025px;
    line-height: 18px;
    margin: 0 0 9px;
    padding: 8.5px;
    white-space: pre-wrap;
    word-wrap: break-word;
}
pre.prettyprint {
    margin-bottom: 18px;
}
pre code {
    background-color: transparent;
    border: 0 none;
    color: inherit;
    padding: 0;
}
.pre-scrollable {
    max-height: 340px;
    overflow-y: scroll;
}
form {
    margin: 0 0 18px;
}
fieldset {
    border: 0 none;
    margin: 0;
    padding: 0;
}
legend {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: -moz-use-text-color -moz-use-text-color #EEEEEE;
    border-style: none none solid;
    border-width: 0 0 1px;
    color: #333333;
    display: block;
    font-size: 19.5px;
    line-height: 36px;
    margin-bottom: 27px;
    padding: 0;
    width: 100%;
}
legend small {
    color: #999999;
    font-size: 13.5px;
}
label, input, button, select, textarea {
    font-size: 13px;
    font-weight: normal;
    line-height: 18px;
}
input, button, select, textarea {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
}
label {
    color: #333333;
    display: block;
    margin-bottom: 5px;
}
input, textarea, select, .uneditable-input {
    background-color: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 3px 3px 3px 3px;
    color: #555555;
    display: inline-block;
    font-size: 13px;
    height: 18px;
    line-height: 18px;
    margin-bottom: 9px;
    padding: 4px;
    width: 210px;
}
.uneditable-textarea {
    height: auto;
    width: auto;
}
label input, label textarea, label select {
    display: block;
}
input[type="image"], input[type="checkbox"], input[type="radio"] {
    background-color: transparent;
    border-radius: 0 0 0 0;
    cursor: pointer;
    height: auto;
    line-height: normal;
    margin: 3px 0;
    padding: 0;
    width: auto;
}
input[type="image"] {
    border: 0 none;
}
input[type="file"] {
    background-color: #FFFFFF;
    box-shadow: none;
    width: auto;
}
input[type="button"], input[type="reset"], input[type="submit"] {
    height: auto;
    width: auto;
}
select, input[type="file"] {
    height: 28px;
    line-height: 28px;
}
input[type="file"] {
}
select {
    background-color: #FFFFFF;
    width: 220px;
}
select[multiple], select[size] {
    height: auto;
}
input[type="image"] {
    box-shadow: none;
}
textarea {
    height: auto;
}
input[type="hidden"] {
    display: none;
}
.radio, .checkbox {
    min-height: 18px;
    padding-left: 18px;
}
.radio input[type="radio"], .checkbox input[type="checkbox"] {
    float: left;
    margin-left: -18px;
}
.controls > .radio:first-child, .controls > .checkbox:first-child {
    padding-top: 5px;
}
.radio.inline, .checkbox.inline {
    display: inline-block;
    margin-bottom: 0;
    padding-top: 5px;
    vertical-align: middle;
}
.radio.inline + .radio.inline, .checkbox.inline + .checkbox.inline {
    margin-left: 10px;
}
input, textarea {
    -moz-transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
}
input:focus, textarea:focus {
    border-color: rgba(82, 168, 236, 0.8);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(82, 168, 236, 0.6);
    outline: 0 none;
}
input[type="file"]:focus, input[type="radio"]:focus, input[type="checkbox"]:focus, select:focus {
    box-shadow: none;
    outline: thin dotted #333333;
    outline-offset: -2px;
}
.input-mini {
    width: 60px;
}
.input-small {
    width: 90px;
}
.input-medium {
    width: 150px;
}
.input-large {
    width: 210px;
}
.input-xlarge {
    width: 270px;
}
.input-xxlarge {
    width: 530px;
}
input[class*="span"], select[class*="span"], textarea[class*="span"], .uneditable-input[class*="span"], .row-fluid input[class*="span"], .row-fluid select[class*="span"], .row-fluid textarea[class*="span"], .row-fluid .uneditable-input[class*="span"] {
    float: none;
    margin-left: 0;
}
input, textarea, .uneditable-input {
    margin-left: 0;
}
input.span12, textarea.span12, .uneditable-input.span12 {
    width: 930px;
}
input.span11, textarea.span11, .uneditable-input.span11 {
    width: 850px;
}
input.span10, textarea.span10, .uneditable-input.span10 {
    width: 770px;
}
input.span9, textarea.span9, .uneditable-input.span9 {
    width: 690px;
}
input.span8, textarea.span8, .uneditable-input.span8 {
    width: 610px;
}
input.span7, textarea.span7, .uneditable-input.span7 {
    width: 530px;
}
input.span6, textarea.span6, .uneditable-input.span6 {
    width: 450px;
}
input.span5, textarea.span5, .uneditable-input.span5 {
    width: 370px;
}
input.span4, textarea.span4, .uneditable-input.span4 {
    width: 290px;
}
input.span3, textarea.span3, .uneditable-input.span3 {
    width: 210px;
}
input.span2, textarea.span2, .uneditable-input.span2 {
    width: 130px;
}
input.span1, textarea.span1, .uneditable-input.span1 {
    width: 50px;
}
input[disabled], select[disabled], textarea[disabled], input[readonly], select[readonly], textarea[readonly] {
    background-color: #EEEEEE;
    border-color: #DDDDDD;
    cursor: not-allowed;
}
input[type="radio"][disabled], input[type="checkbox"][disabled], input[type="radio"][readonly], input[type="checkbox"][readonly] {
    background-color: transparent;
}
.control-group.warning > label, .control-group.warning .help-block, .control-group.warning .help-inline {
    color: #C09853;
}
.control-group.warning input, .control-group.warning select, .control-group.warning textarea {
    border-color: #C09853;
    color: #C09853;
}
.control-group.warning input:focus, .control-group.warning select:focus, .control-group.warning textarea:focus {
    border-color: #A47E3C;
    box-shadow: 0 0 6px #DBC59E;
}
.control-group.warning .input-prepend .add-on, .control-group.warning .input-append .add-on {
    background-color: #FCF8E3;
    border-color: #C09853;
    color: #C09853;
}
.control-group.error > label, .control-group.error .help-block, .control-group.error .help-inline {
    color: #B94A48;
}
.control-group.error input, .control-group.error select, .control-group.error textarea {
    border-color: #B94A48;
    color: #B94A48;
}
.control-group.error input:focus, .control-group.error select:focus, .control-group.error textarea:focus {
    border-color: #953B39;
    box-shadow: 0 0 6px #D59392;
}
.control-group.error .input-prepend .add-on, .control-group.error .input-append .add-on {
    background-color: #F2DEDE;
    border-color: #B94A48;
    color: #B94A48;
}
.control-group.success > label, .control-group.success .help-block, .control-group.success .help-inline {
    color: #468847;
}
.control-group.success input, .control-group.success select, .control-group.success textarea {
    border-color: #468847;
    color: #468847;
}
.control-group.success input:focus, .control-group.success select:focus, .control-group.success textarea:focus {
    border-color: #356635;
    box-shadow: 0 0 6px #7ABA7B;
}
.control-group.success .input-prepend .add-on, .control-group.success .input-append .add-on {
    background-color: #DFF0D8;
    border-color: #468847;
    color: #468847;
}
input:focus:required:invalid, textarea:focus:required:invalid, select:focus:required:invalid {
    border-color: #EE5F5B;
    color: #B94A48;
}
input:focus:required:invalid:focus, textarea:focus:required:invalid:focus, select:focus:required:invalid:focus {
    border-color: #E9322D;
    box-shadow: 0 0 6px #F8B9B7;
}
.form-actions {
    background-color: #F5F5F5;
    border-top: 1px solid #DDDDDD;
    margin-bottom: 18px;
    margin-top: 18px;
    padding: 17px 20px 18px;
}
.form-actions:before, .form-actions:after {
    content: "";
    display: table;
}
.form-actions:after {
    clear: both;
}
.uneditable-input {
    background-color: #FFFFFF;
    border-color: #EEEEEE;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.024) inset;
    cursor: not-allowed;
    overflow: hidden;
    white-space: nowrap;
}
:-moz-placeholder {
    color: #999999;
}
.help-block, .help-inline {
    color: #555555;
}
.help-block {
    display: block;
    margin-bottom: 9px;
}
.help-inline {
    display: inline-block;
    padding-left: 5px;
    vertical-align: middle;
}
.input-prepend, .input-append {
    margin-bottom: 5px;
}
.input-prepend input, .input-append input, .input-prepend select, .input-append select, .input-prepend .uneditable-input, .input-append .uneditable-input {
    border-radius: 0 3px 3px 0;
    margin-bottom: 0;
    position: relative;
    vertical-align: middle;
}
.input-prepend input:focus, .input-append input:focus, .input-prepend select:focus, .input-append select:focus, .input-prepend .uneditable-input:focus, .input-append .uneditable-input:focus {
    z-index: 2;
}
.input-prepend .uneditable-input, .input-append .uneditable-input {
    border-left-color: #CCCCCC;
}
.input-prepend .add-on, .input-append .add-on {
    background-color: #EEEEEE;
    border: 1px solid #CCCCCC;
    display: inline-block;
    font-weight: normal;
    height: 18px;
    line-height: 18px;
    min-width: 16px;
    padding: 4px 5px;
    text-align: center;
    text-shadow: 0 1px 0 #FFFFFF;
    vertical-align: middle;
    width: auto;
}
.input-prepend .add-on, .input-append .add-on, .input-prepend .btn, .input-append .btn {
    border-radius: 0 0 0 0;
    margin-left: -1px;
}
.input-prepend .active, .input-append .active {
    background-color: #A9DBA9;
    border-color: #46A546;
}
.input-prepend .add-on, .input-prepend .btn {
    margin-right: -1px;
}
.input-prepend .add-on:first-child, .input-prepend .btn:first-child {
    border-radius: 3px 0 0 3px;
}
.input-append input, .input-append select, .input-append .uneditable-input {
    border-radius: 3px 0 0 3px;
}
.input-append .uneditable-input {
    border-left-color: #EEEEEE;
    border-right-color: #CCCCCC;
}
.input-append .add-on:last-child, .input-append .btn:last-child {
    border-radius: 0 3px 3px 0;
}
.input-prepend.input-append input, .input-prepend.input-append select, .input-prepend.input-append .uneditable-input {
    border-radius: 0 0 0 0;
}
.input-prepend.input-append .add-on:first-child, .input-prepend.input-append .btn:first-child {
    border-radius: 3px 0 0 3px;
    margin-right: -1px;
}
.input-prepend.input-append .add-on:last-child, .input-prepend.input-append .btn:last-child {
    border-radius: 0 3px 3px 0;
    margin-left: -1px;
}
.search-query {
    border-radius: 14px 14px 14px 14px;
    margin-bottom: 0;
    padding-left: 14px;
    padding-right: 14px;
}
.form-search input, .form-inline input, .form-horizontal input, .form-search textarea, .form-inline textarea, .form-horizontal textarea, .form-search select, .form-inline select, .form-horizontal select, .form-search .help-inline, .form-inline .help-inline, .form-horizontal .help-inline, .form-search .uneditable-input, .form-inline .uneditable-input, .form-horizontal .uneditable-input, .form-search .input-prepend, .form-inline .input-prepend, .form-horizontal .input-prepend, .form-search .input-append, .form-inline .input-append, .form-horizontal .input-append {
    display: inline-block;
    margin-bottom: 0;
}
.form-search .hide, .form-inline .hide, .form-horizontal .hide {
    display: none;
}
.form-search label, .form-inline label {
    display: inline-block;
}
.form-search .input-append, .form-inline .input-append, .form-search .input-prepend, .form-inline .input-prepend {
    margin-bottom: 0;
}
.form-search .radio, .form-search .checkbox, .form-inline .radio, .form-inline .checkbox {
    margin-bottom: 0;
    padding-left: 0;
    vertical-align: middle;
}
.form-search .radio input[type="radio"], .form-search .checkbox input[type="checkbox"], .form-inline .radio input[type="radio"], .form-inline .checkbox input[type="checkbox"] {
    float: left;
    margin-left: 0;
    margin-right: 3px;
}
.control-group {
    margin-bottom: 9px;
}
legend + .control-group {
    margin-top: 18px;
}
.form-horizontal .control-group {
    margin-bottom: 18px;
}
.form-horizontal .control-group:before, .form-horizontal .control-group:after {
    content: "";
    display: table;
}
.form-horizontal .control-group:after {
    clear: both;
}
.form-horizontal .control-label {
    float: left;
    padding-top: 5px;
    text-align: right;
    width: 140px;
}
.form-horizontal .controls {
    margin-left: 160px;
}
.form-horizontal .controls:first-child {
}
.form-horizontal .help-block {
    margin-bottom: 0;
    margin-top: 9px;
}
.form-horizontal .form-actions {
    padding-left: 160px;
}
table {
    background-color: transparent;
    border-collapse: collapse;
    border-spacing: 0;
    max-width: 100%;
}
.table {
    margin-bottom: 18px;
    width: 100%;
}
.table th, .table td {
    border-top: 1px solid #DDDDDD;
    line-height: 18px;
    padding: 8px;
    text-align: left;
    vertical-align: top;
}
.table th {
    font-weight: bold;
}
.table thead th {
    vertical-align: bottom;
}
.table caption + thead tr:first-child th, .table caption + thead tr:first-child td, .table colgroup + thead tr:first-child th, .table colgroup + thead tr:first-child td, .table thead:first-child tr:first-child th, .table thead:first-child tr:first-child td {
    border-top: 0 none;
}
.table tbody + tbody {
    border-top: 2px solid #DDDDDD;
}
.table-condensed th, .table-condensed td {
    padding: 4px 5px;
}
.table-bordered {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-collapse: separate;
    border-color: #DDDDDD #DDDDDD #DDDDDD -moz-use-text-color;
    border-radius: 4px 4px 4px 4px;
    border-style: solid solid solid none;
    border-width: 1px 1px 1px 0;
}
.table-bordered th, .table-bordered td {
    border-left: 1px solid #DDDDDD;
}
.table-bordered caption + thead tr:first-child th, .table-bordered caption + tbody tr:first-child th, .table-bordered caption + tbody tr:first-child td, .table-bordered colgroup + thead tr:first-child th, .table-bordered colgroup + tbody tr:first-child th, .table-bordered colgroup + tbody tr:first-child td, .table-bordered thead:first-child tr:first-child th, .table-bordered tbody:first-child tr:first-child th, .table-bordered tbody:first-child tr:first-child td {
    border-top: 0 none;
}
.table-bordered thead:first-child tr:first-child th:first-child, .table-bordered tbody:first-child tr:first-child td:first-child {
    border-top-left-radius: 4px;
}
.table-bordered thead:first-child tr:first-child th:last-child, .table-bordered tbody:first-child tr:first-child td:last-child {
    border-top-right-radius: 4px;
}
.table-bordered thead:last-child tr:last-child th:first-child, .table-bordered tbody:last-child tr:last-child td:first-child {
    border-radius: 0 0 0 4px;
}
.table-bordered thead:last-child tr:last-child th:last-child, .table-bordered tbody:last-child tr:last-child td:last-child {
    border-bottom-right-radius: 4px;
}
.table-striped tbody tr:nth-child(2n+1) td, .table-striped tbody tr:nth-child(2n+1) th {
    background-color: #F9F9F9;
}
.table tbody tr:hover td, .table tbody tr:hover th {
    background-color: #F5F5F5;
}
table .span1 {
    float: none;
    margin-left: 0;
    width: 44px;
}
table .span2 {
    float: none;
    margin-left: 0;
    width: 124px;
}
table .span3 {
    float: none;
    margin-left: 0;
    width: 204px;
}
table .span4 {
    float: none;
    margin-left: 0;
    width: 284px;
}
table .span5 {
    float: none;
    margin-left: 0;
    width: 364px;
}
table .span6 {
    float: none;
    margin-left: 0;
    width: 444px;
}
table .span7 {
    float: none;
    margin-left: 0;
    width: 524px;
}
table .span8 {
    float: none;
    margin-left: 0;
    width: 604px;
}
table .span9 {
    float: none;
    margin-left: 0;
    width: 684px;
}
table .span10 {
    float: none;
    margin-left: 0;
    width: 764px;
}
table .span11 {
    float: none;
    margin-left: 0;
    width: 844px;
}
table .span12 {
    float: none;
    margin-left: 0;
    width: 924px;
}
table .span13 {
    float: none;
    margin-left: 0;
    width: 1004px;
}
table .span14 {
    float: none;
    margin-left: 0;
    width: 1084px;
}
table .span15 {
    float: none;
    margin-left: 0;
    width: 1164px;
}
table .span16 {
    float: none;
    margin-left: 0;
    width: 1244px;
}
table .span17 {
    float: none;
    margin-left: 0;
    width: 1324px;
}
table .span18 {
    float: none;
    margin-left: 0;
    width: 1404px;
}
table .span19 {
    float: none;
    margin-left: 0;
    width: 1484px;
}
table .span20 {
    float: none;
    margin-left: 0;
    width: 1564px;
}
table .span21 {
    float: none;
    margin-left: 0;
    width: 1644px;
}
table .span22 {
    float: none;
    margin-left: 0;
    width: 1724px;
}
table .span23 {
    float: none;
    margin-left: 0;
    width: 1804px;
}
table .span24 {
    float: none;
    margin-left: 0;
    width: 1884px;
}
[class^="icon-"], [class*=" icon-"] {
    background-image: url("../img/glyphicons-halflings.png");
    background-position: 14px 14px;
    background-repeat: no-repeat;
    display: inline-block;
    height: 14px;
    line-height: 14px;
    vertical-align: text-top;
    width: 14px;
}
[class^="icon-"]:last-child, [class*=" icon-"]:last-child {
}
.icon-white {
    background-image: url("http://infoviet.net/website/giaodien/glyphicons-halflings-white.png");
}
.icon-black {
    background-image: url("http://infoviet.net/website/giaodien/glyphicons-halflings-black.png");
}
.icon-glass {
    background-position: 0 0;
}
.icon-music {
    background-position: -24px 0;
}
.icon-search {
    background-position: -48px 0;
}
.icon-envelope {
    background-position: -72px 0;
}
.icon-heart {
    background-position: -96px 0;
}
.icon-star {
    background-position: -120px 0;
}
.icon-star-empty {
    background-position: -144px 0;
}
.icon-user {
    background-position: -168px 0;
}
.icon-film {
    background-position: -192px 0;
}
.icon-th-large {
    background-position: -216px 0;
}
.icon-th {
    background-position: -240px 0;
}
.icon-th-list {
    background-position: -264px 0;
}
.icon-ok {
    background-position: -288px 0;
}
.icon-remove {
    background-position: -312px 0;
}
.icon-zoom-in {
    background-position: -336px 0;
}
.icon-zoom-out {
    background-position: -360px 0;
}
.icon-off {
    background-position: -384px 0;
}
.icon-signal {
    background-position: -408px 0;
}
.icon-cog {
    background-position: -432px 0;
}
.icon-trash {
    background-position: -456px 0;
}
.icon-home {
    background-position: 0 -24px;
}
.icon-file {
    background-position: -24px -24px;
}
.icon-time {
    background-position: -48px -24px;
}
.icon-road {
    background-position: -72px -24px;
}
.icon-download-alt {
    background-position: -96px -24px;
}
.icon-download {
    background-position: -120px -24px;
}
.icon-upload {
    background-position: -144px -24px;
}
.icon-inbox {
    background-position: -168px -24px;
}
.icon-play-circle {
    background-position: -192px -24px;
}
.icon-repeat {
    background-position: -216px -24px;
}
.icon-refresh {
    background-position: -240px -24px;
}
.icon-list-alt {
    background-position: -264px -24px;
}
.icon-lock {
    background-position: -287px -24px;
}
.icon-flag {
    background-position: -312px -24px;
}
.icon-headphones {
    background-position: -336px -24px;
}
.icon-volume-off {
    background-position: -360px -24px;
}
.icon-volume-down {
    background-position: -384px -24px;
}
.icon-volume-up {
    background-position: -408px -24px;
}
.icon-qrcode {
    background-position: -432px -24px;
}
.icon-barcode {
    background-position: -456px -24px;
}
.icon-tag {
    background-position: 0 -48px;
}
.icon-tags {
    background-position: -25px -48px;
}
.icon-book {
    background-position: -48px -48px;
}
.icon-bookmark {
    background-position: -72px -48px;
}
.icon-print {
    background-position: -96px -48px;
}
.icon-camera {
    background-position: -120px -48px;
}
.icon-font {
    background-position: -144px -48px;
}
.icon-bold {
    background-position: -167px -48px;
}
.icon-italic {
    background-position: -192px -48px;
}
.icon-text-height {
    background-position: -216px -48px;
}
.icon-text-width {
    background-position: -240px -48px;
}
.icon-align-left {
    background-position: -264px -48px;
}
.icon-align-center {
    background-position: -288px -48px;
}
.icon-align-right {
    background-position: -312px -48px;
}
.icon-align-justify {
    background-position: -336px -48px;
}
.icon-list {
    background-position: -360px -48px;
}
.icon-indent-left {
    background-position: -384px -48px;
}
.icon-indent-right {
    background-position: -408px -48px;
}
.icon-facetime-video {
    background-position: -432px -48px;
}
.icon-picture {
    background-position: -456px -48px;
}
.icon-pencil {
    background-position: 0 -72px;
}
.icon-map-marker {
    background-position: -24px -72px;
}
.icon-adjust {
    background-position: -48px -72px;
}
.icon-tint {
    background-position: -72px -72px;
}
.icon-edit {
    background-position: -96px -72px;
}
.icon-share {
    background-position: -120px -72px;
}
.icon-check {
    background-position: -144px -72px;
}
.icon-move {
    background-position: -168px -72px;
}
.icon-step-backward {
    background-position: -192px -72px;
}
.icon-fast-backward {
    background-position: -216px -72px;
}
.icon-backward {
    background-position: -240px -72px;
}
.icon-play {
    background-position: -264px -72px;
}
.icon-pause {
    background-position: -288px -72px;
}
.icon-stop {
    background-position: -312px -72px;
}
.icon-forward {
    background-position: -336px -72px;
}
.icon-fast-forward {
    background-position: -360px -72px;
}
.icon-step-forward {
    background-position: -384px -72px;
}
.icon-eject {
    background-position: -408px -72px;
}
.icon-chevron-left {
    background-position: -432px -72px;
}
.icon-chevron-right {
    background-position: -456px -72px;
}
.icon-plus-sign {
    background-position: 0 -96px;
}
.icon-minus-sign {
    background-position: -24px -96px;
}
.icon-remove-sign {
    background-position: -48px -96px;
}
.icon-ok-sign {
    background-position: -72px -96px;
}
.icon-question-sign {
    background-position: -96px -96px;
}
.icon-info-sign {
    background-position: -120px -96px;
}
.icon-screenshot {
    background-position: -144px -96px;
}
.icon-remove-circle {
    background-position: -168px -96px;
}
.icon-ok-circle {
    background-position: -192px -96px;
}
.icon-ban-circle {
    background-position: -216px -96px;
}
.icon-arrow-left {
    background-position: -240px -96px;
}
.icon-arrow-right {
    background-position: -264px -96px;
}
.icon-arrow-up {
    background-position: -289px -96px;
}
.icon-arrow-down {
    background-position: -312px -96px;
}
.icon-share-alt {
    background-position: -336px -96px;
}
.icon-resize-full {
    background-position: -360px -96px;
}
.icon-resize-small {
    background-position: -384px -96px;
}
.icon-plus {
    background-position: -408px -96px;
}
.icon-minus {
    background-position: -433px -96px;
}
.icon-asterisk {
    background-position: -456px -96px;
}
.icon-exclamation-sign {
    background-position: 0 -120px;
}
.icon-gift {
    background-position: -24px -120px;
}
.icon-leaf {
    background-position: -48px -120px;
}
.icon-fire {
    background-position: -72px -120px;
}
.icon-eye-open {
    background-position: -96px -120px;
}
.icon-eye-close {
    background-position: -120px -120px;
}
.icon-warning-sign {
    background-position: -144px -120px;
}
.icon-plane {
    background-position: -168px -120px;
}
.icon-calendar {
    background-position: -192px -120px;
}
.icon-random {
    background-position: -216px -120px;
}
.icon-comment {
    background-position: -240px -120px;
}
.icon-magnet {
    background-position: -264px -120px;
}
.icon-chevron-up {
    background-position: -288px -120px;
}
.icon-chevron-down {
    background-position: -313px -119px;
}
.icon-retweet {
    background-position: -336px -120px;
}
.icon-shopping-cart {
    background-position: -360px -120px;
}
.icon-folder-close {
    background-position: -384px -120px;
}
.icon-folder-open {
    background-position: -408px -120px;
}
.icon-resize-vertical {
    background-position: -432px -119px;
}
.icon-resize-horizontal {
    background-position: -456px -118px;
}
.icon-hdd {
    background-position: 0 -144px;
}
.icon-bullhorn {
    background-position: -24px -144px;
}
.icon-bell {
    background-position: -48px -144px;
}
.icon-certificate {
    background-position: -72px -144px;
}
.icon-thumbs-up {
    background-position: -96px -144px;
}
.icon-thumbs-down {
    background-position: -120px -144px;
}
.icon-hand-right {
    background-position: -144px -144px;
}
.icon-hand-left {
    background-position: -168px -144px;
}
.icon-hand-up {
    background-position: -192px -144px;
}
.icon-hand-down {
    background-position: -216px -144px;
}
.icon-circle-arrow-right {
    background-position: -240px -144px;
}
.icon-circle-arrow-left {
    background-position: -264px -144px;
}
.icon-circle-arrow-up {
    background-position: -288px -144px;
}
.icon-circle-arrow-down {
    background-position: -312px -144px;
}
.icon-globe {
    background-position: -336px -144px;
}
.icon-wrench {
    background-position: -360px -144px;
}
.icon-tasks {
    background-position: -384px -144px;
}
.icon-filter {
    background-position: -408px -144px;
}
.icon-briefcase {
    background-position: -432px -144px;
}
.icon-fullscreen {
    background-position: -456px -144px;
}
.dropup, .dropdown {
    position: relative;
}
.dropdown-toggle {
}
.dropdown-toggle:active, .open .dropdown-toggle {
    outline: 0 none;
}
.caret {
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    border-top: 4px solid #000000;
    content: "";
    display: inline-block;
    height: 0;
    opacity: 0.3;
    vertical-align: top;
    width: 0;
}
.dropdown .caret {
    margin-left: 2px;
    margin-top: 8px;
}
.dropdown:hover .caret, .open .caret {
    opacity: 1;
}
.dropdown-menu {
    background-clip: padding-box;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 5px 5px 5px 5px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    display: none;
    float: left;
    left: 0;
    list-style: none outside none;
    margin: 1px 0 0;
    min-width: 160px;
    padding: 4px 0;
    position: absolute;
    top: 100%;
    z-index: 1000;
}
.dropdown-menu.pull-right {
    left: auto;
    right: 0;
}
.dropdown-menu .divider {
    background-color: #E5E5E5;
    border-bottom: 1px solid #FFFFFF;
    height: 1px;
    margin: 8px 1px;
    overflow: hidden;
}
.dropdown-menu a {
    clear: both;
    color: #333333;
    display: block;
    font-weight: normal;
    line-height: 18px;
    padding: 3px 15px;
    white-space: nowrap;
}
.dropdown-menu li > a:hover, .dropdown-menu .active > a, .dropdown-menu .active > a:hover {
    background-color: #0088CC;
    color: #FFFFFF;
    text-decoration: none;
}
.open {
}
.open .dropdown-menu {
    display: block;
}
.pull-right .dropdown-menu {
    left: auto;
    right: 0;
}
.dropup .caret, .navbar-fixed-bottom .dropdown .caret {
    border-bottom: 4px solid #000000;
    border-top: 0 none;
    content: "↑";
}
.dropup .dropdown-menu, .navbar-fixed-bottom .dropdown .dropdown-menu {
    bottom: 100%;
    margin-bottom: 1px;
    top: auto;
}
.typeahead {
    border-radius: 4px 4px 4px 4px;
    margin-top: 2px;
}
.well {
    background-color: #F5F5F5;
    border: 1px solid rgba(0, 0, 0, 0.05);
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
    margin-bottom: 20px;
    min-height: 20px;
    padding: 19px;
}
.well blockquote {
    border-color: rgba(0, 0, 0, 0.15);
}
.well-large {
    border-radius: 6px 6px 6px 6px;
    padding: 24px;
}
.well-small {
    border-radius: 3px 3px 3px 3px;
    padding: 9px;
}
.fade {
    -moz-transition: opacity 0.15s linear 0s;
    opacity: 0;
}
.fade.in {
    opacity: 1;
}
.collapse {
    -moz-transition: height 0.35s ease 0s;
    height: 0;
    overflow: hidden;
    position: relative;
}
.collapse.in {
    height: auto;
}
.close {
    color: #000000;
    float: right;
    font-size: 20px;
    font-weight: bold;
    line-height: 18px;
    opacity: 0.2;
    text-shadow: 0 1px 0 #FFFFFF;
}
.close:hover {
    color: #000000;
    cursor: pointer;
    opacity: 0.4;
    text-decoration: none;
}
button.close {
    background: none repeat scroll 0 0 transparent;
    border: 0 none;
    cursor: pointer;
    padding: 0;
}
.btn {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #F5F5F5;
    background-image: -moz-linear-gradient(center top , #FFFFFF, #E6E6E6);
    background-repeat: repeat-x;
    border-color: #E6E6E6 #E6E6E6 #B3B3B3;
    border-radius: 4px 4px 4px 4px;
    border-style: solid;
    border-width: 1px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.2) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
    color: #333333;
    cursor: pointer;
    display: inline-block;
    font-size: 13px;
    line-height: 18px;
    margin-bottom: 0;
    padding: 4px 10px;
    text-align: center;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    vertical-align: middle;
}
.btn:hover, .btn:active, .btn.active, .btn.disabled, .btn[disabled] {
    background-color: #E6E6E6;
}
.btn:active, .btn.active {
}
.btn:first-child {
}
.btn:hover {
    -moz-transition: background-position 0.1s linear 0s;
    background-color: #E6E6E6;
    background-position: 0 -15px;
    color: #333333;
    text-decoration: none;
}
.btn:focus {
    outline: thin dotted #333333;
    outline-offset: -2px;
}
.btn.active, .btn:active {
    background-color: #E6E6E6;
    background-image: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
    outline: 0 none;
}
.btn.disabled, .btn[disabled] {
    background-color: #E6E6E6;
    background-image: none;
    box-shadow: none;
    cursor: default;
    opacity: 0.65;
}
.btn-large {
    border-radius: 5px 5px 5px 5px;
    font-size: 15px;
    line-height: normal;
    padding: 9px 14px;
}
.btn-large [class^="icon-"] {
    margin-top: 1px;
}
.btn-small {
    font-size: 11px;
    line-height: 16px;
    padding: 5px 9px;
}
.btn-small [class^="icon-"] {
    margin-top: -1px;
}
.btn-mini {
    font-size: 11px;
    line-height: 14px;
    padding: 2px 6px;
}
.btn-primary, .btn-primary:hover, .btn-warning, .btn-warning:hover, .btn-danger, .btn-danger:hover, .btn-success, .btn-success:hover, .btn-info, .btn-info:hover, .btn-inverse, .btn-inverse:hover {
    color: #FFFFFF;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.btn-primary.active, .btn-warning.active, .btn-danger.active, .btn-success.active, .btn-info.active, .btn-inverse.active {
    color: rgba(255, 255, 255, 0.75);
}
.btn {
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-primary {
    background-color: #0074CC;
    background-image: -moz-linear-gradient(center top , #0088CC, #0055CC);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-primary:hover, .btn-primary:active, .btn-primary.active, .btn-primary.disabled, .btn-primary[disabled] {
    background-color: #0055CC;
}
.btn-primary:active, .btn-primary.active {
}
.btn-warning {
    background-color: #FAA732;
    background-image: -moz-linear-gradient(center top , #FBB450, #F89406);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-warning:hover, .btn-warning:active, .btn-warning.active, .btn-warning.disabled, .btn-warning[disabled] {
    background-color: #F89406;
}
.btn-warning:active, .btn-warning.active {
}
.btn-danger {
    background-color: #DA4F49;
    background-image: -moz-linear-gradient(center top , #EE5F5B, #BD362F);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-danger:hover, .btn-danger:active, .btn-danger.active, .btn-danger.disabled, .btn-danger[disabled] {
    background-color: #BD362F;
}
.btn-danger:active, .btn-danger.active {
}
.btn-success {
    background-color: #5BB75B;
    background-image: -moz-linear-gradient(center top , #62C462, #51A351);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-success:hover, .btn-success:active, .btn-success.active, .btn-success.disabled, .btn-success[disabled] {
    background-color: #51A351;
}
.btn-success:active, .btn-success.active {
}
.btn-info {
    background-color: #49AFCD;
    background-image: -moz-linear-gradient(center top , #5BC0DE, #2F96B4);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-info:hover, .btn-info:active, .btn-info.active, .btn-info.disabled, .btn-info[disabled] {
    background-color: #2F96B4;
}
.btn-info:active, .btn-info.active {
}
.btn-inverse {
    background-color: #414141;
    background-image: -moz-linear-gradient(center top , #555555, #222222);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}
.btn-inverse:hover, .btn-inverse:active, .btn-inverse.active, .btn-inverse.disabled, .btn-inverse[disabled] {
    background-color: #222222;
}
.btn-inverse:active, .btn-inverse.active {
}
button.btn, input.btn[type="submit"] {
}
button.btn::-moz-focus-inner, input.btn[type="submit"]::-moz-focus-inner {
    border: 0 none;
    padding: 0;
}
button.btn.btn-large, input.btn.btn-large[type="submit"] {
}
button.btn.btn-small, input.btn.btn-small[type="submit"] {
}
button.btn.btn-mini, input.btn.btn-mini[type="submit"] {
}
.btn-group {
    position: relative;
}
.btn-group:before, .btn-group:after {
    content: "";
    display: table;
}
.btn-group:after {
    clear: both;
}
.btn-group:first-child {
}
.btn-group + .btn-group {
    margin-left: 5px;
}
.btn-toolbar {
    margin-bottom: 9px;
    margin-top: 9px;
}
.btn-toolbar .btn-group {
    display: inline-block;
}
.btn-group > .btn {
    border-radius: 0 0 0 0;
    float: left;
    margin-left: -1px;
    position: relative;
}
.btn-group > .btn:first-child {
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    margin-left: 0;
}
.btn-group > .btn:last-child, .btn-group > .dropdown-toggle {
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
}
.btn-group > .btn.large:first-child {
    border-bottom-left-radius: 6px;
    border-top-left-radius: 6px;
    margin-left: 0;
}
.btn-group > .btn.large:last-child, .btn-group > .large.dropdown-toggle {
    border-bottom-right-radius: 6px;
    border-top-right-radius: 6px;
}
.btn-group > .btn:hover, .btn-group > .btn:focus, .btn-group > .btn:active, .btn-group > .btn.active {
    z-index: 2;
}
.btn-group .dropdown-toggle:active, .btn-group.open .dropdown-toggle {
    outline: 0 none;
}
.btn-group > .dropdown-toggle {
    box-shadow: 1px 0 0 rgba(255, 255, 255, 0.125) inset, 0 1px 0 rgba(255, 255, 255, 0.2) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
    padding-left: 8px;
    padding-right: 8px;
}
.btn-group > .btn-mini.dropdown-toggle {
    padding-left: 5px;
    padding-right: 5px;
}
.btn-group > .btn-small.dropdown-toggle {
}
.btn-group > .btn-large.dropdown-toggle {
    padding-left: 12px;
    padding-right: 12px;
}
.btn-group.open .dropdown-toggle {
    background-image: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15) inset, 0 1px 2px rgba(0, 0, 0, 0.05);
}
.btn-group.open .btn.dropdown-toggle {
    background-color: #E6E6E6;
}
.btn-group.open .btn-primary.dropdown-toggle {
    background-color: #0055CC;
}
.btn-group.open .btn-warning.dropdown-toggle {
    background-color: #F89406;
}
.btn-group.open .btn-danger.dropdown-toggle {
    background-color: #BD362F;
}
.btn-group.open .btn-success.dropdown-toggle {
    background-color: #51A351;
}
.btn-group.open .btn-info.dropdown-toggle {
    background-color: #2F96B4;
}
.btn-group.open .btn-inverse.dropdown-toggle {
    background-color: #222222;
}
.btn .caret {
    margin-left: 0;
    margin-top: 7px;
}
.btn:hover .caret, .open.btn-group .caret {
    opacity: 1;
}
.btn-mini .caret {
    margin-top: 5px;
}
.btn-small .caret {
    margin-top: 6px;
}
.btn-large .caret {
    border-left-width: 5px;
    border-right-width: 5px;
    border-top-width: 5px;
    margin-top: 6px;
}
.dropup .btn-large .caret {
    border-bottom: 5px solid #000000;
    border-top: 0 none;
}
.btn-primary .caret, .btn-warning .caret, .btn-danger .caret, .btn-info .caret, .btn-success .caret, .btn-inverse .caret {
    border-bottom-color: #FFFFFF;
    border-top-color: #FFFFFF;
    opacity: 0.75;
}
.alert {
    background-color: #FCF8E3;
    border: 1px solid #FBEED5;
    border-radius: 4px 4px 4px 4px;
    color: #C09853;
    margin-bottom: 18px;
    padding: 8px 35px 8px 14px;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
}
.alert-heading {
    color: inherit;
}
.alert .close {
    line-height: 18px;
    position: relative;
    right: -21px;
    top: -2px;
}
.alert-success {
    background-color: #DFF0D8;
    border-color: #D6E9C6;
    color: #468847;
}
.alert-danger, .alert-error {
    background-color: #F2DEDE;
    border-color: #EED3D7;
    color: #B94A48;
}
.alert-info {
    background-color: #D9EDF7;
    border-color: #BCE8F1;
    color: #3A87AD;
}
.alert-block {
    padding-bottom: 14px;
    padding-top: 14px;
}
.alert-block > p, .alert-block > ul {
    margin-bottom: 0;
}
.alert-block p + p {
    margin-top: 5px;
}
.nav {
    list-style: none outside none;
    margin-bottom: 18px;
    margin-left: 0;
}
.nav > li > a {
    display: block;
}
.nav > li > a:hover {
    background-color: #EEEEEE;
    text-decoration: none;
}
.nav > .pull-right {
    float: right;
}
.nav .nav-header {
    color: #999999;
    display: block;
    font-size: 11px;
    font-weight: bold;
    line-height: 18px;
    padding: 3px 15px;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
    text-transform: uppercase;
}
.nav li + .nav-header {
    margin-top: 9px;
}
.nav-list {
    margin-bottom: 0;
    padding-left: 15px;
    padding-right: 15px;
}
.nav-list > li > a, .nav-list .nav-header {
    margin-left: -15px;
    margin-right: -15px;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
}
.nav-list > li > a {
    padding: 3px 15px;
}
.nav-list > .active > a, .nav-list > .active > a:hover {
    background-color: #0088CC;
    color: #FFFFFF;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.2);
}
.nav-list [class^="icon-"] {
    margin-right: 2px;
}
.nav-list .divider {
    background-color: #E5E5E5;
    border-bottom: 1px solid #FFFFFF;
    height: 1px;
    margin: 8px 1px;
    overflow: hidden;
}
.nav-tabs, .nav-pills {
}
.nav-tabs:before, .nav-pills:before, .nav-tabs:after, .nav-pills:after {
    content: "";
    display: table;
}
.nav-tabs:after, .nav-pills:after {
    clear: both;
}
.nav-tabs > li, .nav-pills > li {
    float: left;
}
.nav-tabs > li > a, .nav-pills > li > a {
    line-height: 14px;
    margin-right: 2px;
    padding-left: 12px;
    padding-right: 12px;
}
.nav-tabs {
    border-bottom: 1px solid #DDDDDD;
}
.nav-tabs > li {
    margin-bottom: -1px;
}
.nav-tabs > li > a {
    border: 1px solid transparent;
    border-radius: 4px 4px 0 0;
    line-height: 18px;
    padding-bottom: 8px;
    padding-top: 8px;
}
.nav-tabs > li > a:hover {
    border-color: #EEEEEE #EEEEEE #DDDDDD;
}
.nav-tabs > .active > a, .nav-tabs > .active > a:hover {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #FFFFFF;
    border-color: #DDDDDD #DDDDDD transparent;
    border-style: solid;
    border-width: 1px;
    color: #555555;
    cursor: default;
}
.nav-pills > li > a {
    border-radius: 5px 5px 5px 5px;
    margin-bottom: 2px;
    margin-top: 2px;
    padding-bottom: 8px;
    padding-top: 8px;
}
.nav-pills > .active > a, .nav-pills > .active > a:hover {
    background-color: #0088CC;
    color: #FFFFFF;
}
.nav-stacked > li {
    float: none;
}
.nav-stacked > li > a {
    margin-right: 0;
}
.nav-tabs.nav-stacked {
    border-bottom: 0 none;
}
.nav-tabs.nav-stacked > li > a {
    border: 1px solid #DDDDDD;
    border-radius: 0 0 0 0;
}
.nav-tabs.nav-stacked > li:first-child > a {
    border-radius: 4px 4px 0 0;
}
.nav-tabs.nav-stacked > li:last-child > a {
    border-radius: 0 0 4px 4px;
}
.nav-tabs.nav-stacked > li > a:hover {
    border-color: #DDDDDD;
    z-index: 2;
}
.nav-pills.nav-stacked > li > a {
    margin-bottom: 3px;
}
.nav-pills.nav-stacked > li:last-child > a {
    margin-bottom: 1px;
}
.nav-tabs .dropdown-menu {
    border-radius: 0 0 5px 5px;
}
.nav-pills .dropdown-menu {
    border-radius: 4px 4px 4px 4px;
}
.nav-tabs .dropdown-toggle .caret, .nav-pills .dropdown-toggle .caret {
    border-bottom-color: #0088CC;
    border-top-color: #0088CC;
    margin-top: 6px;
}
.nav-tabs .dropdown-toggle:hover .caret, .nav-pills .dropdown-toggle:hover .caret {
    border-bottom-color: #005580;
    border-top-color: #005580;
}
.nav-tabs .active .dropdown-toggle .caret, .nav-pills .active .dropdown-toggle .caret {
    border-bottom-color: #333333;
    border-top-color: #333333;
}
.nav > .dropdown.active > a:hover {
    color: #000000;
    cursor: pointer;
}
.nav-tabs .open .dropdown-toggle, .nav-pills .open .dropdown-toggle, .nav > li.dropdown.open.active > a:hover {
    background-color: #999999;
    border-color: #999999;
    color: #FFFFFF;
}
.nav li.dropdown.open .caret, .nav li.dropdown.open.active .caret, .nav li.dropdown.open a:hover .caret {
    border-bottom-color: #FFFFFF;
    border-top-color: #FFFFFF;
    opacity: 1;
}
.tabs-stacked .open > a:hover {
    border-color: #999999;
}
.tabbable {
}
.tabbable:before, .tabbable:after {
    content: "";
    display: table;
}
.tabbable:after {
    clear: both;
}
.tab-content {
    overflow: auto;
}
.tabs-below > .nav-tabs, .tabs-right > .nav-tabs, .tabs-left > .nav-tabs {
    border-bottom: 0 none;
}
.tab-content > .tab-pane, .pill-content > .pill-pane {
    display: none;
}
.tab-content > .active, .pill-content > .active {
    display: block;
}
.tabs-below > .nav-tabs {
    border-top: 1px solid #DDDDDD;
}
.tabs-below > .nav-tabs > li {
    margin-bottom: 0;
    margin-top: -1px;
}
.tabs-below > .nav-tabs > li > a {
    border-radius: 0 0 4px 4px;
}
.tabs-below > .nav-tabs > li > a:hover {
    border-bottom-color: transparent;
    border-top-color: #DDDDDD;
}
.tabs-below > .nav-tabs > .active > a, .tabs-below > .nav-tabs > .active > a:hover {
    border-color: transparent #DDDDDD #DDDDDD;
}
.tabs-left > .nav-tabs > li, .tabs-right > .nav-tabs > li {
    float: none;
}
.tabs-left > .nav-tabs > li > a, .tabs-right > .nav-tabs > li > a {
    margin-bottom: 3px;
    margin-right: 0;
    min-width: 74px;
}
.tabs-left > .nav-tabs {
    border-right: 1px solid #DDDDDD;
    float: left;
    margin-right: 19px;
}
.tabs-left > .nav-tabs > li > a {
    border-radius: 4px 0 0 4px;
    margin-right: -1px;
}
.tabs-left > .nav-tabs > li > a:hover {
    border-color: #EEEEEE #DDDDDD #EEEEEE #EEEEEE;
}
.tabs-left > .nav-tabs .active > a, .tabs-left > .nav-tabs .active > a:hover {
    border-color: #DDDDDD transparent #DDDDDD #DDDDDD;
}
.tabs-right > .nav-tabs {
    border-left: 1px solid #DDDDDD;
    float: right;
    margin-left: 19px;
}
.tabs-right > .nav-tabs > li > a {
    border-radius: 0 4px 4px 0;
    margin-left: -1px;
}
.tabs-right > .nav-tabs > li > a:hover {
    border-color: #EEEEEE #EEEEEE #EEEEEE #DDDDDD;
}
.tabs-right > .nav-tabs .active > a, .tabs-right > .nav-tabs .active > a:hover {
    border-color: #DDDDDD #DDDDDD #DDDDDD transparent;
}
.navbar {
    margin-bottom: 18px;
    overflow: visible;
}
.navbar-inner {
    background-color: #2C2C2C;
    background-image: -moz-linear-gradient(center top , #333333, #222222);
    background-repeat: repeat-x;
    
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25), 0 -1px 0 rgba(0, 0, 0, 0.1) inset;
    min-height: 40px;
    padding-left: 20px;
    padding-right: 20px;
}
.navbar .container {
    width: auto;
}
.nav-collapse.collapse {
    height: auto;
}
.navbar {
    color: #999999;
}
.navbar .brand:hover {
    text-decoration: none;
}
.navbar .brand {
    color: #999999;
    display: block;
    float: left;
    font-size: 20px;
    font-weight: 200;
    line-height: 1;
    margin-left: -20px;
    padding: 8px 20px 12px;
}
.navbar .navbar-text {
    line-height: 40px;
    margin-bottom: 0;
}
.navbar .navbar-link {
    color: #999999;
}
.navbar .navbar-link:hover {
    color: #FFFFFF;
}
.navbar .btn, .navbar .btn-group {
    margin-top: 5px;
}
.navbar .btn-group .btn {
    margin: 0;
}
.navbar-form {
    margin-bottom: 0;
}
.navbar-form:before, .navbar-form:after {
    content: "";
    display: table;
}
.navbar-form:after {
    clear: both;
}
.navbar-form input, .navbar-form select, .navbar-form .radio, .navbar-form .checkbox {
    margin-top: 5px;
}
.navbar-form input, .navbar-form select {
    display: inline-block;
    margin-bottom: 0;
}
.navbar-form input[type="image"], .navbar-form input[type="checkbox"], .navbar-form input[type="radio"] {
    margin-top: 3px;
}
.navbar-form .input-append, .navbar-form .input-prepend {
    margin-top: 6px;
    white-space: nowrap;
}
.navbar-form .input-append input, .navbar-form .input-prepend input {
    margin-top: 0;
}
.navbar-search {
    float: left;
    margin-bottom: 0;
    margin-top: 6px;
    position: relative;
}
.navbar-search .search-query {
    -moz-transition: none 0s ease 0s;
    background-color: #626262;
    border: 1px solid #151515;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset, 0 1px 0 rgba(255, 255, 255, 0.15);
    color: #FFFFFF;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size: 13px;
    font-weight: normal;
    line-height: 1;
    padding: 4px 9px;
}
.navbar-search .search-query:-moz-placeholder {
    color: #CCCCCC;
}
.navbar-search .search-query:focus, .navbar-search .search-query.focused {
    background-color: #FFFFFF;
    border: 0 none;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.15);
    color: #333333;
    outline: 0 none;
    padding: 5px 10px;
    text-shadow: 0 1px 0 #FFFFFF;
}
.navbar-fixed-top, .navbar-fixed-bottom {
    left: 0;
    margin-bottom: 0;
    position: fixed;
    right: 0;
    z-index: 1030;
}
.navbar-fixed-top .navbar-inner, .navbar-fixed-bottom .navbar-inner {
    border-radius: 0 0 0 0;
    padding-left: 0;
    padding-right: 0;
}
.navbar-fixed-top .container, .navbar-fixed-bottom .container {
    width: 940px;
}
.navbar-fixed-top {
    top: 0;
}
.navbar-fixed-bottom {
    bottom: 0;
}
.navbar .nav {
    display: block;
    float: left;
    left: 0;
    margin: 0 10px 0 0;
    position: relative;
}
.navbar .nav.pull-right {
    float: right;
}
.navbar .nav > li {
    display: block;
    float: left;
}
.navbar .nav > li > a {
    color: #999999;
    float: none;
    line-height: 19px;
    padding: 9px 10px 11px;
    text-decoration: none;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.navbar .btn {
    display: inline-block;
    line-height: 18px;
    margin: 5px 5px 6px;
    padding: 4px 10px;
}
.navbar .btn-group {
    margin: 0;
    padding: 5px 5px 6px;
}
.navbar .nav > li > a:hover {
    background-color: transparent;
    color: #FFFFFF;
    text-decoration: none;
}
.navbar .nav .active > a, .navbar .nav .active > a:hover {
    background-color: #222222;
    color: #FFFFFF;
    text-decoration: none;
}
.navbar .divider-vertical {
    background-color: #222222;
    border-right: 1px solid #333333;
    height: 40px;
    margin: 0 9px;
    overflow: hidden;
    width: 1px;
}
.navbar .nav.pull-right {
    margin-left: 10px;
    margin-right: 0;
}
.navbar .btn-navbar {
    background-color: #2C2C2C;
    background-image: -moz-linear-gradient(center top , #333333, #222222);
    background-repeat: repeat-x;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.1) inset, 0 1px 0 rgba(255, 255, 255, 0.075);
    display: none;
    float: right;
    margin-left: 5px;
    margin-right: 5px;
    padding: 7px 10px;
}
.navbar .btn-navbar:hover, .navbar .btn-navbar:active, .navbar .btn-navbar.active, .navbar .btn-navbar.disabled, .navbar .btn-navbar[disabled] {
    background-color: #222222;
}
.navbar .btn-navbar:active, .navbar .btn-navbar.active {
}
.navbar .btn-navbar .icon-bar {
    background-color: #F5F5F5;
    border-radius: 1px 1px 1px 1px;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.25);
    display: block;
    height: 2px;
    width: 18px;
}
.btn-navbar .icon-bar + .icon-bar {
    margin-top: 3px;
}
.navbar .dropdown-menu:before {
    border-bottom: 7px solid rgba(0, 0, 0, 0.2);
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    content: "";
    display: inline-block;
    left: 9px;
    position: absolute;
    top: -7px;
}
.navbar .dropdown-menu:after {
    border-bottom: 6px solid #FFFFFF;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    content: "";
    display: inline-block;
    left: 10px;
    position: absolute;
    top: -6px;
}
.navbar-fixed-bottom .dropdown-menu:before {
    border-bottom: 0 none;
    border-top: 7px solid rgba(0, 0, 0, 0.2);
    bottom: -7px;
    top: auto;
}
.navbar-fixed-bottom .dropdown-menu:after {
    border-bottom: 0 none;
    border-top: 6px solid #FFFFFF;
    bottom: -6px;
    top: auto;
}
.navbar .nav li.dropdown .dropdown-toggle .caret, .navbar .nav li.dropdown.open .caret {
    border-bottom-color: #FFFFFF;
    border-top-color: #FFFFFF;
}
.navbar .nav li.dropdown.active .caret {
    opacity: 1;
}
.navbar .nav li.dropdown.open > .dropdown-toggle, .navbar .nav li.dropdown.active > .dropdown-toggle, .navbar .nav li.dropdown.open.active > .dropdown-toggle {
    background-color: transparent;
}
.navbar .nav li.dropdown.active > .dropdown-toggle:hover {
    color: #FFFFFF;
}
.navbar .pull-right .dropdown-menu, .navbar .dropdown-menu.pull-right {
    left: auto;
    right: 0;
}
.navbar .pull-right .dropdown-menu:before, .navbar .dropdown-menu.pull-right:before {
    left: auto;
    right: 12px;
}
.navbar .pull-right .dropdown-menu:after, .navbar .dropdown-menu.pull-right:after {
    left: auto;
    right: 13px;
}
.breadcrumb {
    background-color: #FBFBFB;
    background-image: -moz-linear-gradient(center top , #FFFFFF, #F5F5F5);
    background-repeat: repeat-x;
    border: 1px solid #DDDDDD;
    border-radius: 3px 3px 3px 3px;
    box-shadow: 0 1px 0 #FFFFFF inset;
    list-style: none outside none;
    margin: 0 0 18px;
    padding: 7px 14px;
}
.breadcrumb li {
    display: inline-block;
    text-shadow: 0 1px 0 #FFFFFF;
}
.breadcrumb .divider {
    color: #999999;
    padding: 0 5px;
}
.breadcrumb .active a {
    color: #333333;
}
.pagination {
    height: 36px;
    margin: 18px 0;
}
.pagination ul {
    border-radius: 3px 3px 3px 3px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
    display: inline-block;
    margin-bottom: 0;
    margin-left: 0;
}
.pagination li {
    display: inline;
}
.pagination a {
    -moz-border-bottom-colors: none;
    -moz-border-image: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #DDDDDD;
    border-style: solid;
    border-width: 1px 1px 1px 0;
    float: left;
    line-height: 34px;
    padding: 0 14px;
    text-decoration: none;
}
.pagination a:hover, .pagination .active a {
    background-color: #F5F5F5;
}
.pagination .active a {
    color: #999999;
    cursor: default;
}
.pagination .disabled span, .pagination .disabled a, .pagination .disabled a:hover {
    background-color: transparent;
    color: #999999;
    cursor: default;
}
.pagination li:first-child a {
    border-left-width: 1px;
    border-radius: 3px 0 0 3px;
}
.pagination li:last-child a {
    border-radius: 0 3px 3px 0;
}
.pagination-centered {
    text-align: center;
}
.pagination-right {
    text-align: right;
}
.pager {
    list-style: none outside none;
    margin-bottom: 18px;
    margin-left: 0;
    text-align: center;
}
.pager:before, .pager:after {
    content: "";
    display: table;
}
.pager:after {
    clear: both;
}
.pager li {
    display: inline;
}
.pager a {
    background-color: #FFFFFF;
    border: 1px solid #DDDDDD;
    border-radius: 15px 15px 15px 15px;
    display: inline-block;
    padding: 5px 14px;
}
.pager a:hover {
    background-color: #F5F5F5;
    text-decoration: none;
}
.pager .next a {
    float: right;
}
.pager .previous a {
    float: left;
}
.pager .disabled a, .pager .disabled a:hover {
    background-color: #FFFFFF;
    color: #999999;
    cursor: default;
}
.modal-open .dropdown-menu {
    z-index: 2050;
}
.modal-open .dropdown.open {
}
.modal-open .popover {
    z-index: 2060;
}
.modal-open .tooltip {
    z-index: 2070;
}
.modal-backdrop {
    background-color: #000000;
    bottom: 0;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 1040;
}
.modal-backdrop.fade {
    opacity: 0;
}
.modal-backdrop, .modal-backdrop.fade.in {
    opacity: 0.8;
}
.modal {
    background-clip: padding-box;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 3px 7px rgba(0, 0, 0, 0.3);
    left: 50%;
    margin: -250px 0 0 -280px;
    overflow: auto;
    position: fixed;
    top: 50%;
    width: 560px;
    z-index: 1050;
}
.modal.fade {
    -moz-transition: opacity 0.3s linear 0s, top 0.3s ease-out 0s;
    top: -25%;
}
.modal.fade.in {
    top: 50%;
}
.modal-header {
    border-bottom: 1px solid #EEEEEE;
    padding: 9px 15px;
}
.modal-header .close {
    margin-top: 2px;
}
.modal-body {
    max-height: 400px;
    overflow-y: auto;
    padding: 15px;
}
.modal-form {
    margin-bottom: 0;
}
.modal-footer {
    background-color: #F5F5F5;
    border-radius: 0 0 6px 6px;
    border-top: 1px solid #DDDDDD;
    box-shadow: 0 1px 0 #FFFFFF inset;
    margin-bottom: 0;
    padding: 14px 15px 15px;
    text-align: right;
}
.modal-footer:before, .modal-footer:after {
    content: "";
    display: table;
}
.modal-footer:after {
    clear: both;
}
.modal-footer .btn + .btn {
    margin-bottom: 0;
    margin-left: 5px;
}
.modal-footer .btn-group .btn + .btn {
    margin-left: -1px;
}
.tooltip {
    display: block;
    font-size: 11px;
    opacity: 0;
    padding: 5px;
    position: absolute;
    visibility: visible;
    z-index: 1020;
}
.tooltip.in {
    opacity: 0.8;
}
.tooltip.top {
    margin-top: -2px;
}
.tooltip.right {
    margin-left: 2px;
}
.tooltip.bottom {
    margin-top: 2px;
}
.tooltip.left {
    margin-left: -2px;
}
.tooltip.top .tooltip-arrow {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #000000;
    bottom: 0;
    left: 50%;
    margin-left: -5px;
}
.tooltip.left .tooltip-arrow {
    border-bottom: 5px solid transparent;
    border-left: 5px solid #000000;
    border-top: 5px solid transparent;
    margin-top: -5px;
    right: 0;
    top: 50%;
}
.tooltip.bottom .tooltip-arrow {
    border-bottom: 5px solid #000000;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    left: 50%;
    margin-left: -5px;
    top: 0;
}
.tooltip.right .tooltip-arrow {
    border-bottom: 5px solid transparent;
    border-right: 5px solid #000000;
    border-top: 5px solid transparent;
    left: 0;
    margin-top: -5px;
    top: 50%;
}
.tooltip-inner {
    background-color: #000000;
    border-radius: 4px 4px 4px 4px;
    color: #FFFFFF;
    max-width: 200px;
    padding: 3px 8px;
    text-align: center;
    text-decoration: none;
}
.tooltip-arrow {
    height: 0;
    position: absolute;
    width: 0;
}
.popover {
    display: none;
    left: 0;
    padding: 5px;
    position: absolute;
    top: 0;
    z-index: 1010;
}
.popover.top {
    margin-top: -5px;
}
.popover.right {
    margin-left: 5px;
}
.popover.bottom {
    margin-top: 5px;
}
.popover.left {
    margin-left: -5px;
}
.popover.top .arrow {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #000000;
    bottom: 0;
    left: 50%;
    margin-left: -5px;
}
.popover.right .arrow {
    border-bottom: 5px solid transparent;
    border-right: 5px solid #000000;
    border-top: 5px solid transparent;
    left: 0;
    margin-top: -5px;
    top: 50%;
}
.popover.bottom .arrow {
    border-bottom: 5px solid #000000;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    left: 50%;
    margin-left: -5px;
    top: 0;
}
.popover.left .arrow {
    border-bottom: 5px solid transparent;
    border-left: 5px solid #000000;
    border-top: 5px solid transparent;
    margin-top: -5px;
    right: 0;
    top: 50%;
}
.popover .arrow {
    height: 0;
    position: absolute;
    width: 0;
}
.popover-inner {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0.8);
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 3px 7px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    padding: 3px;
    width: 280px;
}
.popover-title {
    background-color: #F5F5F5;
    border-bottom: 1px solid #EEEEEE;
    border-radius: 3px 3px 0 0;
    line-height: 1;
    padding: 9px 15px;
}
.popover-content {
    background-clip: padding-box;
    background-color: #FFFFFF;
    border-radius: 0 0 3px 3px;
    padding: 14px;
}
.popover-content p, .popover-content ul, .popover-content ol {
    margin-bottom: 0;
}
.thumbnails {
    list-style: none outside none;
    margin-left: -20px;
}
.thumbnails:before, .thumbnails:after {
    content: "";
    display: table;
}
.thumbnails:after {
    clear: both;
}
.row-fluid .thumbnails {
    margin-left: 0;
}
.thumbnails > li {
    float: left;
    margin-bottom: 18px;
    margin-left: 20px;
}
.thumbnail {
    border: 1px solid #DDDDDD;
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075);
    display: block;
    line-height: 1;
    padding: 4px;
}
a.thumbnail:hover {
    border-color: #0088CC;
    box-shadow: 0 1px 4px rgba(0, 105, 214, 0.25);
}
.thumbnail > img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}
.thumbnail .caption {
    padding: 9px;
}
.label, .badge {
    background-color: #999999;
    color: #FFFFFF;
    font-size: 10.998px;
    font-weight: bold;
    line-height: 14px;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    vertical-align: baseline;
    white-space: nowrap;
}
.label {
    border-radius: 3px 3px 3px 3px;
    padding: 1px 4px 2px;
}
.badge {
    border-radius: 9px 9px 9px 9px;
    padding: 1px 9px 2px;
}
a.label:hover, a.badge:hover {
    color: #FFFFFF;
    cursor: pointer;
    text-decoration: none;
}
.label-important, .badge-important {
    background-color: #B94A48;
}
.label-important[href], .badge-important[href] {
    background-color: #953B39;
}
.label-warning, .badge-warning {
    background-color: #F89406;
}
.label-warning[href], .badge-warning[href] {
    background-color: #C67605;
}
.label-success, .badge-success {
    background-color: #468847;
}
.label-success[href], .badge-success[href] {
    background-color: #356635;
}
.label-info, .badge-info {
    background-color: #3A87AD;
}
.label-info[href], .badge-info[href] {
    background-color: #2D6987;
}
.label-inverse, .badge-inverse {
    background-color: #333333;
}
.label-inverse[href], .badge-inverse[href] {
    background-color: #1A1A1A;
}
.progress {
    background-color: #F7F7F7;
    background-image: -moz-linear-gradient(center top , #F5F5F5, #F9F9F9);
    background-repeat: repeat-x;
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1) inset;
    height: 18px;
    margin-bottom: 18px;
    overflow: hidden;
}
.progress .bar {
    -moz-box-sizing: border-box;
    -moz-transition: width 0.6s ease 0s;
    background-color: #0E90D2;
    background-image: -moz-linear-gradient(center top , #149BDF, #0480BE);
    background-repeat: repeat-x;
    box-shadow: 0 -1px 0 rgba(0, 0, 0, 0.15) inset;
    color: #FFFFFF;
    font-size: 12px;
    height: 18px;
    text-align: center;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    width: 0;
}
.progress-striped .bar {
    background-color: #149BDF;
    background-image: -moz-linear-gradient(-45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-size: 40px 40px;
}
.progress.active .bar {
    -moz-animation: 2s linear 0s normal none infinite progress-bar-stripes;
}
.progress-danger .bar {
    background-color: #DD514C;
    background-image: -moz-linear-gradient(center top , #EE5F5B, #C43C35);
    background-repeat: repeat-x;
}
.progress-danger.progress-striped .bar {
    background-color: #EE5F5B;
    background-image: -moz-linear-gradient(-45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
.progress-success .bar {
    background-color: #5EB95E;
    background-image: -moz-linear-gradient(center top , #62C462, #57A957);
    background-repeat: repeat-x;
}
.progress-success.progress-striped .bar {
    background-color: #62C462;
    background-image: -moz-linear-gradient(-45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
.progress-info .bar {
    background-color: #4BB1CF;
    background-image: -moz-linear-gradient(center top , #5BC0DE, #339BB9);
    background-repeat: repeat-x;
}
.progress-info.progress-striped .bar {
    background-color: #5BC0DE;
    background-image: -moz-linear-gradient(-45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
.progress-warning .bar {
    background-color: #FAA732;
    background-image: -moz-linear-gradient(center top , #FBB450, #F89406);
    background-repeat: repeat-x;
}
.progress-warning.progress-striped .bar {
    background-color: #FBB450;
    background-image: -moz-linear-gradient(-45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
}
.accordion {
    margin-bottom: 18px;
}
.accordion-group {
    border: 1px solid #E5E5E5;
    border-radius: 4px 4px 4px 4px;
    margin-bottom: 2px;
}
.accordion-heading {
    border-bottom: 0 none;
}
.accordion-heading .accordion-toggle {
    display: block;
    padding: 8px 15px;
}
.accordion-toggle {
    cursor: pointer;
}
.accordion-inner {
    border-top: 1px solid #E5E5E5;
    padding: 9px 15px;
}
.carousel {
    line-height: 1;
    margin-bottom: 18px;
    position: relative;
}
.carousel-inner {
    overflow: hidden;
    position: relative;
    width: 100%;
}
.carousel .item {
    -moz-transition: left 0.6s ease-in-out 0s;
    display: none;
    position: relative;
}
.carousel .item > img {
    display: block;
    line-height: 1;
}
.carousel .active, .carousel .next, .carousel .prev {
    display: block;
}
.carousel .active {
    left: 0;
}
.carousel .next, .carousel .prev {
    position: absolute;
    top: 0;
    width: 100%;
}
.carousel .next {
    left: 100%;
}
.carousel .prev {
    left: -100%;
}
.carousel .next.left, .carousel .prev.right {
    left: 0;
}
.carousel .active.left {
    left: -100%;
}
.carousel .active.right {
    left: 100%;
}
.carousel-control {
    background: none repeat scroll 0 0 #222222;
    border: 3px solid #FFFFFF;
    border-radius: 23px 23px 23px 23px;
    color: #FFFFFF;
    font-size: 60px;
    font-weight: 100;
    height: 40px;
    left: 15px;
    line-height: 30px;
    margin-top: -20px;
    opacity: 0.5;
    position: absolute;
    text-align: center;
    top: 40%;
    width: 40px;
}
.carousel-control.right {
    left: auto;
    right: 15px;
}
.carousel-control:hover {
    color: #FFFFFF;
    opacity: 0.9;
    text-decoration: none;
}
.carousel-caption {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0.75);
    bottom: 0;
    left: 0;
    padding: 10px 15px 5px;
    position: absolute;
    right: 0;
}
.carousel-caption h4, .carousel-caption p {
    color: #FFFFFF;
}
.hero-unit {
    background-color: #EEEEEE;
    border-radius: 6px 6px 6px 6px;
    margin-bottom: 30px;
    padding: 60px;
}
.hero-unit h1 {
    color: inherit;
    font-size: 60px;
    letter-spacing: -1px;
    line-height: 1;
    margin-bottom: 0;
}
.hero-unit p {
    color: inherit;
    font-size: 18px;
    font-weight: 200;
    line-height: 27px;
}
.pull-right {
    float: right;
}
.pull-left {
    float: left;
}
.hide {
    display: none;
}
.show {
    display: block;
}
.invisible {
    visibility: hidden;
}